Package org.gdal.ogr

## Class ogrJNI

- java.lang.Object
- - org.gdal.ogr.ogrJNI

-     public class ogrJNI
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ogrJNI​()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static long` | `ApproximateArcAngles​(double jarg1, double jarg2, double jarg3, double jarg4, double jarg5, double jarg6, double jarg7, double jarg8, double jarg9)` |
    `static long` | `BuildPolygonFromEdges__SWIG_0​(long jarg1, Geometry jarg1_, int jarg2, int jarg3, double jarg4)` |
    `static long` | `BuildPolygonFromEdges__SWIG_1​(long jarg1, Geometry jarg1_, int jarg2, int jarg3)` |
    `static long` | `BuildPolygonFromEdges__SWIG_2​(long jarg1, Geometry jarg1_, int jarg2)` |
    `static long` | `BuildPolygonFromEdges__SWIG_3​(long jarg1, Geometry jarg1_)` |
    `static long` | `CreateGeometryFromEsriJson​(java.lang.String jarg1)` |
    `static long` | `CreateGeometryFromGML​(java.lang.String jarg1)` |
    `static long` | `CreateGeometryFromJson​(java.lang.String jarg1)` |
    `static long` | `CreateGeometryFromWkb__SWIG_0​(byte[] jarg1, long jarg3, SpatialReference jarg3_)` |
    `static long` | `CreateGeometryFromWkb__SWIG_1​(byte[] jarg1)` |
    `static long` | `CreateGeometryFromWkt__SWIG_0​(java.lang.String jarg1, long jarg2, SpatialReference jarg2_)` |
    `static long` | `CreateGeometryFromWkt__SWIG_1​(java.lang.String jarg1)` |
    `static int` | `DataSource_AbortSQL​(long jarg1, DataSource jarg1_)` |
    `static int` | `DataSource_CommitTransaction​(long jarg1, DataSource jarg1_)` |
    `static long` | `DataSource_CopyLayer__SWIG_0​(long jarg1, DataSource jarg1_, long jarg2, Layer jarg2_, java.lang.String jarg3, java.util.Vector jarg4)` |
    `static long` | `DataSource_CopyLayer__SWIG_1​(long jarg1, DataSource jarg1_, long jarg2, Layer jarg2_, java.lang.String jarg3)` |
    `static long` | `DataSource_CreateLayer__SWIG_0​(long jarg1, DataSource jarg1_, java.lang.String jarg2, long jarg3, SpatialReference jarg3_, int jarg4, java.util.Vector jarg5)` |
    `static long` | `DataSource_CreateLayer__SWIG_1​(long jarg1, DataSource jarg1_, java.lang.String jarg2, long jarg3, SpatialReference jarg3_, int jarg4)` |
    `static long` | `DataSource_CreateLayer__SWIG_2​(long jarg1, DataSource jarg1_, java.lang.String jarg2, long jarg3, SpatialReference jarg3_)` |
    `static long` | `DataSource_CreateLayer__SWIG_3​(long jarg1, DataSource jarg1_, java.lang.String jarg2)` |
    `static int` | `DataSource_DeleteLayer​(long jarg1, DataSource jarg1_, int jarg2)` |
    `static long` | `DataSource_ExecuteSQL__SWIG_0​(long jarg1, DataSource jarg1_, java.lang.String jarg2, long jarg3, Geometry jarg3_, java.lang.String jarg4)` |
    `static long` | `DataSource_ExecuteSQL__SWIG_1​(long jarg1, DataSource jarg1_, java.lang.String jarg2, long jarg3, Geometry jarg3_)` |
    `static long` | `DataSource_ExecuteSQL__SWIG_2​(long jarg1, DataSource jarg1_, java.lang.String jarg2)` |
    `static void` | `DataSource_FlushCache​(long jarg1, DataSource jarg1_)` |
    `static long` | `DataSource_GetDriver​(long jarg1, DataSource jarg1_)` |
    `static long` | `DataSource_GetLayerByIndex​(long jarg1, DataSource jarg1_, int jarg2)` |
    `static long` | `DataSource_GetLayerByName​(long jarg1, DataSource jarg1_, java.lang.String jarg2)` |
    `static int` | `DataSource_GetLayerCount​(long jarg1, DataSource jarg1_)` |
    `static java.lang.String` | `DataSource_GetName​(long jarg1, DataSource jarg1_)` |
    `static int` | `DataSource_GetRefCount​(long jarg1, DataSource jarg1_)` |
    `static long` | `DataSource_GetStyleTable​(long jarg1, DataSource jarg1_)` |
    `static int` | `DataSource_GetSummaryRefCount​(long jarg1, DataSource jarg1_)` |
    `static java.lang.String` | `DataSource_name_get​(long jarg1, DataSource jarg1_)` |
    `static void` | `DataSource_ReleaseResultSet​(long jarg1, DataSource jarg1_, long jarg2, Layer jarg2_)` |
    `static int` | `DataSource_RollbackTransaction​(long jarg1, DataSource jarg1_)` |
    `static void` | `DataSource_SetStyleTable​(long jarg1, DataSource jarg1_, long jarg2, StyleTable jarg2_)` |
    `static int` | `DataSource_StartTransaction__SWIG_0​(long jarg1, DataSource jarg1_, int jarg2)` |
    `static int` | `DataSource_StartTransaction__SWIG_1​(long jarg1, DataSource jarg1_)` |
    `static long` | `DataSource_SWIGUpcast​(long jarg1)` |
    `static int` | `DataSource_SyncToDisk​(long jarg1, DataSource jarg1_)` |
    `static boolean` | `DataSource_TestCapability​(long jarg1, DataSource jarg1_, java.lang.String jarg2)` |
    `static void` | `delete_DataSource​(long jarg1)` |
    `static void` | `delete_Feature​(long jarg1)` |
    `static void` | `delete_FeatureDefn​(long jarg1)` |
    `static void` | `delete_FieldDefn​(long jarg1)` |
    `static void` | `delete_Geometry​(long jarg1)` |
    `static void` | `delete_GeomFieldDefn​(long jarg1)` |
    `static void` | `delete_GeomTransformer​(long jarg1)` |
    `static void` | `delete_ProgressCallback​(long jarg1)` |
    `static void` | `delete_StyleTable​(long jarg1)` |
    `static void` | `delete_TermProgressCallback​(long jarg1)` |
    `static void` | `DontUseExceptions​()` |
    `static long` | `Driver_CopyDataSource__SWIG_0​(long jarg1, Driver jarg1_, long jarg2, DataSource jarg2_, java.lang.String jarg3, java.util.Vector jarg4)` |
    `static long` | `Driver_CopyDataSource__SWIG_1​(long jarg1, Driver jarg1_, long jarg2, DataSource jarg2_, java.lang.String jarg3)` |
    `static long` | `Driver_CreateDataSource__SWIG_0​(long jarg1, Driver jarg1_, java.lang.String jarg2, java.util.Vector jarg3)` |
    `static long` | `Driver_CreateDataSource__SWIG_1​(long jarg1, Driver jarg1_, java.lang.String jarg2)` |
    `static int` | `Driver_DeleteDataSource​(long jarg1, Driver jarg1_, java.lang.String jarg2)` |
    `static void` | `Driver_Deregister​(long jarg1, Driver jarg1_)` |
    `static java.lang.String` | `Driver_GetName​(long jarg1, Driver jarg1_)` |
    `static java.lang.String` | `Driver_name_get​(long jarg1, Driver jarg1_)` |
    `static long` | `Driver_Open__SWIG_0​(long jarg1, Driver jarg1_, java.lang.String jarg2, int jarg3)` |
    `static long` | `Driver_Open__SWIG_1​(long jarg1, Driver jarg1_, java.lang.String jarg2)` |
    `static void` | `Driver_Register​(long jarg1, Driver jarg1_)` |
    `static long` | `Driver_SWIGUpcast​(long jarg1)` |
    `static boolean` | `Driver_TestCapability​(long jarg1, Driver jarg1_, java.lang.String jarg2)` |
    `static long` | `Feature_Clone​(long jarg1, Feature jarg1_)` |
    `static void` | `Feature_DumpReadable​(long jarg1, Feature jarg1_)` |
    `static boolean` | `Feature_Equal​(long jarg1, Feature jarg1_, long jarg2, Feature jarg2_)` |
    `static void` | `Feature_FillUnsetWithDefault__SWIG_0​(long jarg1, Feature jarg1_, int jarg2, java.util.Vector jarg3)` |
    `static void` | `Feature_FillUnsetWithDefault__SWIG_1​(long jarg1, Feature jarg1_, int jarg2)` |
    `static void` | `Feature_FillUnsetWithDefault__SWIG_2​(long jarg1, Feature jarg1_)` |
    `static long` | `Feature_GetDefnRef​(long jarg1, Feature jarg1_)` |
    `static long` | `Feature_GetFID​(long jarg1, Feature jarg1_)` |
    `static byte[]` | `Feature_GetFieldAsBinary__SWIG_0​(long jarg1, Feature jarg1_, int jarg2)` |
    `static byte[]` | `Feature_GetFieldAsBinary__SWIG_1​(long jarg1, Feature jarg1_, java.lang.String jarg2)` |
    `static void` | `Feature_GetFieldAsDateTime__SWIG_0​(long jarg1, Feature jarg1_, int jarg2, int[] jarg3, int[] jarg4, int[] jarg5, int[] jarg6, int[] jarg7, float[] jarg8, int[] jarg9)` |
    `static void` | `Feature_GetFieldAsDateTime__SWIG_1​(long jarg1, Feature jarg1_, java.lang.String jarg2, int[] jarg3, int[] jarg4, int[] jarg5, int[] jarg6, int[] jarg7, float[] jarg8, int[] jarg9)` |
    `static double` | `Feature_GetFieldAsDouble__SWIG_0​(long jarg1, Feature jarg1_, int jarg2)` |
    `static double` | `Feature_GetFieldAsDouble__SWIG_1​(long jarg1, Feature jarg1_, java.lang.String jarg2)` |
    `static double[]` | `Feature_GetFieldAsDoubleList​(long jarg1, Feature jarg1_, int jarg2)` |
    `static int` | `Feature_GetFieldAsInteger__SWIG_0​(long jarg1, Feature jarg1_, int jarg2)` |
    `static int` | `Feature_GetFieldAsInteger__SWIG_1​(long jarg1, Feature jarg1_, java.lang.String jarg2)` |
    `static long` | `Feature_GetFieldAsInteger64__SWIG_0​(long jarg1, Feature jarg1_, int jarg2)` |
    `static long` | `Feature_GetFieldAsInteger64__SWIG_1​(long jarg1, Feature jarg1_, java.lang.String jarg2)` |
    `static int[]` | `Feature_GetFieldAsIntegerList​(long jarg1, Feature jarg1_, int jarg2)` |
    `static java.lang.String` | `Feature_GetFieldAsString__SWIG_0​(long jarg1, Feature jarg1_, int jarg2)` |
    `static java.lang.String` | `Feature_GetFieldAsString__SWIG_1​(long jarg1, Feature jarg1_, java.lang.String jarg2)` |
    `static java.lang.String[]` | `Feature_GetFieldAsStringList​(long jarg1, Feature jarg1_, int jarg2)` |
    `static int` | `Feature_GetFieldCount​(long jarg1, Feature jarg1_)` |
    `static long` | `Feature_GetFieldDefnRef__SWIG_0​(long jarg1, Feature jarg1_, int jarg2)` |
    `static long` | `Feature_GetFieldDefnRef__SWIG_1​(long jarg1, Feature jarg1_, java.lang.String jarg2)` |
    `static int` | `Feature_GetFieldIndex​(long jarg1, Feature jarg1_, java.lang.String jarg2)` |
    `static int` | `Feature_GetFieldType__SWIG_0​(long jarg1, Feature jarg1_, int jarg2)` |
    `static int` | `Feature_GetFieldType__SWIG_1​(long jarg1, Feature jarg1_, java.lang.String jarg2)` |
    `static long` | `Feature_GetGeometryRef​(long jarg1, Feature jarg1_)` |
    `static int` | `Feature_GetGeomFieldCount​(long jarg1, Feature jarg1_)` |
    `static long` | `Feature_GetGeomFieldDefnRef__SWIG_0​(long jarg1, Feature jarg1_, int jarg2)` |
    `static long` | `Feature_GetGeomFieldDefnRef__SWIG_1​(long jarg1, Feature jarg1_, java.lang.String jarg2)` |
    `static int` | `Feature_GetGeomFieldIndex​(long jarg1, Feature jarg1_, java.lang.String jarg2)` |
    `static long` | `Feature_GetGeomFieldRef__SWIG_0​(long jarg1, Feature jarg1_, int jarg2)` |
    `static long` | `Feature_GetGeomFieldRef__SWIG_1​(long jarg1, Feature jarg1_, java.lang.String jarg2)` |
    `static java.lang.String` | `Feature_GetNativeData​(long jarg1, Feature jarg1_)` |
    `static java.lang.String` | `Feature_GetNativeMediaType​(long jarg1, Feature jarg1_)` |
    `static java.lang.String` | `Feature_GetStyleString​(long jarg1, Feature jarg1_)` |
    `static boolean` | `Feature_IsFieldNull__SWIG_0​(long jarg1, Feature jarg1_, int jarg2)` |
    `static boolean` | `Feature_IsFieldNull__SWIG_1​(long jarg1, Feature jarg1_, java.lang.String jarg2)` |
    `static boolean` | `Feature_IsFieldSet__SWIG_0​(long jarg1, Feature jarg1_, int jarg2)` |
    `static boolean` | `Feature_IsFieldSet__SWIG_1​(long jarg1, Feature jarg1_, java.lang.String jarg2)` |
    `static boolean` | `Feature_IsFieldSetAndNotNull__SWIG_0​(long jarg1, Feature jarg1_, int jarg2)` |
    `static boolean` | `Feature_IsFieldSetAndNotNull__SWIG_1​(long jarg1, Feature jarg1_, java.lang.String jarg2)` |
    `static int` | `Feature_SetFID​(long jarg1, Feature jarg1_, long jarg2)` |
    `static void` | `Feature_SetField__SWIG_0​(long jarg1, Feature jarg1_, int jarg2, java.lang.String jarg3)` |
    `static void` | `Feature_SetField__SWIG_1​(long jarg1, Feature jarg1_, java.lang.String jarg2, java.lang.String jarg3)` |
    `static void` | `Feature_SetField__SWIG_2​(long jarg1, Feature jarg1_, int jarg2, int jarg3)` |
    `static void` | `Feature_SetField__SWIG_3​(long jarg1, Feature jarg1_, java.lang.String jarg2, int jarg3)` |
    `static void` | `Feature_SetField__SWIG_4​(long jarg1, Feature jarg1_, int jarg2, double jarg3)` |
    `static void` | `Feature_SetField__SWIG_5​(long jarg1, Feature jarg1_, java.lang.String jarg2, double jarg3)` |
    `static void` | `Feature_SetField__SWIG_6​(long jarg1, Feature jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, float jarg8, int jarg9)` |
    `static void` | `Feature_SetField__SWIG_7​(long jarg1, Feature jarg1_, java.lang.String jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, float jarg8, int jarg9)` |
    `static void` | `Feature_SetFieldBinaryFromHexString__SWIG_0​(long jarg1, Feature jarg1_, int jarg2, java.lang.String jarg3)` |
    `static void` | `Feature_SetFieldBinaryFromHexString__SWIG_1​(long jarg1, Feature jarg1_, java.lang.String jarg2, java.lang.String jarg3)` |
    `static void` | `Feature_SetFieldDoubleList​(long jarg1, Feature jarg1_, int jarg2, double[] jarg3)` |
    `static void` | `Feature_SetFieldInteger64​(long jarg1, Feature jarg1_, int jarg2, long jarg3)` |
    `static void` | `Feature_SetFieldIntegerList​(long jarg1, Feature jarg1_, int jarg2, int[] jarg3)` |
    `static void` | `Feature_SetFieldNull__SWIG_0​(long jarg1, Feature jarg1_, int jarg2)` |
    `static void` | `Feature_SetFieldNull__SWIG_1​(long jarg1, Feature jarg1_, java.lang.String jarg2)` |
    `static void` | `Feature_SetFieldStringList​(long jarg1, Feature jarg1_, int jarg2, java.util.Vector jarg3)` |
    `static int` | `Feature_SetFrom__SWIG_0​(long jarg1, Feature jarg1_, long jarg2, Feature jarg2_, int jarg3)` |
    `static int` | `Feature_SetFrom__SWIG_1​(long jarg1, Feature jarg1_, long jarg2, Feature jarg2_)` |
    `static int` | `Feature_SetFromWithMap​(long jarg1, Feature jarg1_, long jarg2, Feature jarg2_, int jarg3, int[] jarg4)` |
    `static int` | `Feature_SetGeometry​(long jarg1, Feature jarg1_, long jarg2, Geometry jarg2_)` |
    `static int` | `Feature_SetGeometryDirectly​(long jarg1, Feature jarg1_, long jarg2, Geometry jarg2_)` |
    `static int` | `Feature_SetGeomField__SWIG_0​(long jarg1, Feature jarg1_, int jarg2, long jarg3, Geometry jarg3_)` |
    `static int` | `Feature_SetGeomField__SWIG_1​(long jarg1, Feature jarg1_, java.lang.String jarg2, long jarg3, Geometry jarg3_)` |
    `static int` | `Feature_SetGeomFieldDirectly__SWIG_0​(long jarg1, Feature jarg1_, int jarg2, long jarg3, Geometry jarg3_)` |
    `static int` | `Feature_SetGeomFieldDirectly__SWIG_1​(long jarg1, Feature jarg1_, java.lang.String jarg2, long jarg3, Geometry jarg3_)` |
    `static void` | `Feature_SetNativeData​(long jarg1, Feature jarg1_, java.lang.String jarg2)` |
    `static void` | `Feature_SetNativeMediaType​(long jarg1, Feature jarg1_, java.lang.String jarg2)` |
    `static void` | `Feature_SetStyleString​(long jarg1, Feature jarg1_, java.lang.String jarg2)` |
    `static void` | `Feature_UnsetField__SWIG_0​(long jarg1, Feature jarg1_, int jarg2)` |
    `static void` | `Feature_UnsetField__SWIG_1​(long jarg1, Feature jarg1_, java.lang.String jarg2)` |
    `static int` | `Feature_Validate__SWIG_0​(long jarg1, Feature jarg1_, int jarg2, int jarg3)` |
    `static int` | `Feature_Validate__SWIG_1​(long jarg1, Feature jarg1_, int jarg2)` |
    `static int` | `Feature_Validate__SWIG_2​(long jarg1, Feature jarg1_)` |
    `static void` | `FeatureDefn_AddFieldDefn​(long jarg1, FeatureDefn jarg1_, long jarg2, FieldDefn jarg2_)` |
    `static void` | `FeatureDefn_AddGeomFieldDefn​(long jarg1, FeatureDefn jarg1_, long jarg2, GeomFieldDefn jarg2_)` |
    `static int` | `FeatureDefn_DeleteGeomFieldDefn​(long jarg1, FeatureDefn jarg1_, int jarg2)` |
    `static int` | `FeatureDefn_GetFieldCount​(long jarg1, FeatureDefn jarg1_)` |
    `static long` | `FeatureDefn_GetFieldDefn​(long jarg1, FeatureDefn jarg1_, int jarg2)` |
    `static int` | `FeatureDefn_GetFieldIndex​(long jarg1, FeatureDefn jarg1_, java.lang.String jarg2)` |
    `static int` | `FeatureDefn_GetGeomFieldCount​(long jarg1, FeatureDefn jarg1_)` |
    `static long` | `FeatureDefn_GetGeomFieldDefn​(long jarg1, FeatureDefn jarg1_, int jarg2)` |
    `static int` | `FeatureDefn_GetGeomFieldIndex​(long jarg1, FeatureDefn jarg1_, java.lang.String jarg2)` |
    `static int` | `FeatureDefn_GetGeomType​(long jarg1, FeatureDefn jarg1_)` |
    `static java.lang.String` | `FeatureDefn_GetName​(long jarg1, FeatureDefn jarg1_)` |
    `static int` | `FeatureDefn_GetReferenceCount​(long jarg1, FeatureDefn jarg1_)` |
    `static int` | `FeatureDefn_IsGeometryIgnored​(long jarg1, FeatureDefn jarg1_)` |
    `static int` | `FeatureDefn_IsSame​(long jarg1, FeatureDefn jarg1_, long jarg2, FeatureDefn jarg2_)` |
    `static int` | `FeatureDefn_IsStyleIgnored​(long jarg1, FeatureDefn jarg1_)` |
    `static void` | `FeatureDefn_SetGeometryIgnored​(long jarg1, FeatureDefn jarg1_, int jarg2)` |
    `static void` | `FeatureDefn_SetGeomType​(long jarg1, FeatureDefn jarg1_, int jarg2)` |
    `static void` | `FeatureDefn_SetStyleIgnored​(long jarg1, FeatureDefn jarg1_, int jarg2)` |
    `static java.lang.String` | `FieldDefn_GetAlternativeName​(long jarg1, FieldDefn jarg1_)` |
    `static java.lang.String` | `FieldDefn_GetAlternativeNameRef​(long jarg1, FieldDefn jarg1_)` |
    `static java.lang.String` | `FieldDefn_GetDefault​(long jarg1, FieldDefn jarg1_)` |
    `static int` | `FieldDefn_GetFieldType​(long jarg1, FieldDefn jarg1_)` |
    `static java.lang.String` | `FieldDefn_GetFieldTypeName​(long jarg1, FieldDefn jarg1_, int jarg2)` |
    `static int` | `FieldDefn_GetJustify​(long jarg1, FieldDefn jarg1_)` |
    `static java.lang.String` | `FieldDefn_GetName​(long jarg1, FieldDefn jarg1_)` |
    `static java.lang.String` | `FieldDefn_GetNameRef​(long jarg1, FieldDefn jarg1_)` |
    `static int` | `FieldDefn_GetPrecision​(long jarg1, FieldDefn jarg1_)` |
    `static int` | `FieldDefn_GetSubType​(long jarg1, FieldDefn jarg1_)` |
    `static java.lang.String` | `FieldDefn_GetTypeName​(long jarg1, FieldDefn jarg1_)` |
    `static int` | `FieldDefn_GetWidth​(long jarg1, FieldDefn jarg1_)` |
    `static int` | `FieldDefn_IsDefaultDriverSpecific​(long jarg1, FieldDefn jarg1_)` |
    `static int` | `FieldDefn_IsIgnored​(long jarg1, FieldDefn jarg1_)` |
    `static int` | `FieldDefn_IsNullable​(long jarg1, FieldDefn jarg1_)` |
    `static int` | `FieldDefn_IsUnique​(long jarg1, FieldDefn jarg1_)` |
    `static void` | `FieldDefn_SetAlternativeName​(long jarg1, FieldDefn jarg1_, java.lang.String jarg2)` |
    `static void` | `FieldDefn_SetDefault​(long jarg1, FieldDefn jarg1_, java.lang.String jarg2)` |
    `static void` | `FieldDefn_SetIgnored​(long jarg1, FieldDefn jarg1_, int jarg2)` |
    `static void` | `FieldDefn_SetJustify​(long jarg1, FieldDefn jarg1_, int jarg2)` |
    `static void` | `FieldDefn_SetName​(long jarg1, FieldDefn jarg1_, java.lang.String jarg2)` |
    `static void` | `FieldDefn_SetNullable​(long jarg1, FieldDefn jarg1_, int jarg2)` |
    `static void` | `FieldDefn_SetPrecision​(long jarg1, FieldDefn jarg1_, int jarg2)` |
    `static void` | `FieldDefn_SetSubType​(long jarg1, FieldDefn jarg1_, int jarg2)` |
    `static void` | `FieldDefn_SetType​(long jarg1, FieldDefn jarg1_, int jarg2)` |
    `static void` | `FieldDefn_SetUnique​(long jarg1, FieldDefn jarg1_, int jarg2)` |
    `static void` | `FieldDefn_SetWidth​(long jarg1, FieldDefn jarg1_, int jarg2)` |
    `static long` | `ForceTo__SWIG_0​(long jarg1, Geometry jarg1_, int jarg2, java.util.Vector jarg3)` |
    `static long` | `ForceTo__SWIG_1​(long jarg1, Geometry jarg1_, int jarg2)` |
    `static long` | `ForceToLineString​(long jarg1, Geometry jarg1_)` |
    `static long` | `ForceToMultiLineString​(long jarg1, Geometry jarg1_)` |
    `static long` | `ForceToMultiPoint​(long jarg1, Geometry jarg1_)` |
    `static long` | `ForceToMultiPolygon​(long jarg1, Geometry jarg1_)` |
    `static long` | `ForceToPolygon​(long jarg1, Geometry jarg1_)` |
    `static java.util.Vector` | `GeneralCmdLineProcessor__SWIG_0​(java.util.Vector jarg1, int jarg2)` |
    `static java.util.Vector` | `GeneralCmdLineProcessor__SWIG_1​(java.util.Vector jarg1)` |
    `static int` | `Geometry_AddGeometry​(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)` |
    `static int` | `Geometry_AddGeometryDirectly​(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)` |
    `static void` | `Geometry_AddPoint__SWIG_0​(long jarg1, Geometry jarg1_, double jarg2, double jarg3, double jarg4)` |
    `static void` | `Geometry_AddPoint__SWIG_1​(long jarg1, Geometry jarg1_, double jarg2, double jarg3)` |
    `static void` | `Geometry_AddPoint_2D​(long jarg1, Geometry jarg1_, double jarg2, double jarg3)` |
    `static void` | `Geometry_AddPointM​(long jarg1, Geometry jarg1_, double jarg2, double jarg3, double jarg4)` |
    `static void` | `Geometry_AddPointZM​(long jarg1, Geometry jarg1_, double jarg2, double jarg3, double jarg4, double jarg5)` |
    `static double` | `Geometry_Area​(long jarg1, Geometry jarg1_)` |
    `static void` | `Geometry_AssignSpatialReference​(long jarg1, Geometry jarg1_, long jarg2, SpatialReference jarg2_)` |
    `static long` | `Geometry_Boundary​(long jarg1, Geometry jarg1_)` |
    `static long` | `Geometry_Buffer__SWIG_0​(long jarg1, Geometry jarg1_, double jarg2, int jarg3)` |
    `static long` | `Geometry_Buffer__SWIG_1​(long jarg1, Geometry jarg1_, double jarg2)` |
    `static long` | `Geometry_Centroid​(long jarg1, Geometry jarg1_)` |
    `static long` | `Geometry_Clone​(long jarg1, Geometry jarg1_)` |
    `static void` | `Geometry_CloseRings​(long jarg1, Geometry jarg1_)` |
    `static boolean` | `Geometry_Contains​(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)` |
    `static long` | `Geometry_ConvexHull​(long jarg1, Geometry jarg1_)` |
    `static int` | `Geometry_CoordinateDimension​(long jarg1, Geometry jarg1_)` |
    `static boolean` | `Geometry_Crosses​(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)` |
    `static long` | `Geometry_DelaunayTriangulation__SWIG_0​(long jarg1, Geometry jarg1_, double jarg2, int jarg3)` |
    `static long` | `Geometry_DelaunayTriangulation__SWIG_1​(long jarg1, Geometry jarg1_, double jarg2)` |
    `static long` | `Geometry_DelaunayTriangulation__SWIG_2​(long jarg1, Geometry jarg1_)` |
    `static long` | `Geometry_Difference​(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)` |
    `static boolean` | `Geometry_Disjoint​(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)` |
    `static double` | `Geometry_Distance​(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)` |
    `static double` | `Geometry_Distance3D​(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)` |
    `static void` | `Geometry_Empty​(long jarg1, Geometry jarg1_)` |
    `static boolean` | `Geometry_Equal​(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)` |
    `static boolean` | `Geometry_Equals​(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)` |
    `static java.lang.String` | `Geometry_ExportToGML__SWIG_0​(long jarg1, Geometry jarg1_, java.util.Vector jarg2)` |
    `static java.lang.String` | `Geometry_ExportToGML__SWIG_1​(long jarg1, Geometry jarg1_)` |
    `static byte[]` | `Geometry_ExportToIsoWkb__SWIG_0​(long jarg1, Geometry jarg1_, int jarg4)` |
    `static byte[]` | `Geometry_ExportToIsoWkb__SWIG_1​(long jarg1, Geometry jarg1_)` |
    `static int` | `Geometry_ExportToIsoWkt​(long jarg1, Geometry jarg1_, java.lang.String[] jarg2)` |
    `static java.lang.String` | `Geometry_ExportToJson__SWIG_0​(long jarg1, Geometry jarg1_, java.util.Vector jarg2)` |
    `static java.lang.String` | `Geometry_ExportToJson__SWIG_1​(long jarg1, Geometry jarg1_)` |
    `static java.lang.String` | `Geometry_ExportToKML__SWIG_0​(long jarg1, Geometry jarg1_, java.lang.String jarg2)` |
    `static java.lang.String` | `Geometry_ExportToKML__SWIG_1​(long jarg1, Geometry jarg1_)` |
    `static byte[]` | `Geometry_ExportToWkb__SWIG_0​(long jarg1, Geometry jarg1_, int jarg4)` |
    `static byte[]` | `Geometry_ExportToWkb__SWIG_1​(long jarg1, Geometry jarg1_)` |
    `static int` | `Geometry_ExportToWkt__SWIG_0​(long jarg1, Geometry jarg1_, java.lang.String[] jarg2)` |
    `static java.lang.String` | `Geometry_ExportToWkt__SWIG_1​(long jarg1, Geometry jarg1_)` |
    `static void` | `Geometry_FlattenTo2D​(long jarg1, Geometry jarg1_)` |
    `static double` | `Geometry_GetArea​(long jarg1, Geometry jarg1_)` |
    `static long` | `Geometry_GetBoundary​(long jarg1, Geometry jarg1_)` |
    `static int` | `Geometry_GetCoordinateDimension​(long jarg1, Geometry jarg1_)` |
    `static long` | `Geometry_GetCurveGeometry__SWIG_0​(long jarg1, Geometry jarg1_, java.util.Vector jarg2)` |
    `static long` | `Geometry_GetCurveGeometry__SWIG_1​(long jarg1, Geometry jarg1_)` |
    `static int` | `Geometry_GetDimension​(long jarg1, Geometry jarg1_)` |
    `static void` | `Geometry_GetEnvelope​(long jarg1, Geometry jarg1_, double[] jarg2)` |
    `static void` | `Geometry_GetEnvelope3D​(long jarg1, Geometry jarg1_, double[] jarg2)` |
    `static int` | `Geometry_GetGeometryCount​(long jarg1, Geometry jarg1_)` |
    `static java.lang.String` | `Geometry_GetGeometryName​(long jarg1, Geometry jarg1_)` |
    `static long` | `Geometry_GetGeometryRef​(long jarg1, Geometry jarg1_, int jarg2)` |
    `static int` | `Geometry_GetGeometryType​(long jarg1, Geometry jarg1_)` |
    `static long` | `Geometry_GetLinearGeometry__SWIG_0​(long jarg1, Geometry jarg1_, double jarg2, java.util.Vector jarg3)` |
    `static long` | `Geometry_GetLinearGeometry__SWIG_1​(long jarg1, Geometry jarg1_, double jarg2)` |
    `static long` | `Geometry_GetLinearGeometry__SWIG_2​(long jarg1, Geometry jarg1_)` |
    `static double` | `Geometry_GetM__SWIG_0​(long jarg1, Geometry jarg1_, int jarg2)` |
    `static double` | `Geometry_GetM__SWIG_1​(long jarg1, Geometry jarg1_)` |
    `static void` | `Geometry_GetPoint​(long jarg1, Geometry jarg1_, int jarg2, double[] jarg3)` |
    `static void` | `Geometry_GetPoint_2D​(long jarg1, Geometry jarg1_, int jarg2, double[] jarg3)` |
    `static int` | `Geometry_GetPointCount​(long jarg1, Geometry jarg1_)` |
    `static double[][]` | `Geometry_GetPoints__SWIG_0​(long jarg1, Geometry jarg1_, int jarg5)` |
    `static double[][]` | `Geometry_GetPoints__SWIG_1​(long jarg1, Geometry jarg1_)` |
    `static void` | `Geometry_GetPointZM​(long jarg1, Geometry jarg1_, int jarg2, double[] jarg3)` |
    `static long` | `Geometry_GetSpatialReference​(long jarg1, Geometry jarg1_)` |
    `static double` | `Geometry_GetX__SWIG_0​(long jarg1, Geometry jarg1_, int jarg2)` |
    `static double` | `Geometry_GetX__SWIG_1​(long jarg1, Geometry jarg1_)` |
    `static double` | `Geometry_GetY__SWIG_0​(long jarg1, Geometry jarg1_, int jarg2)` |
    `static double` | `Geometry_GetY__SWIG_1​(long jarg1, Geometry jarg1_)` |
    `static double` | `Geometry_GetZ__SWIG_0​(long jarg1, Geometry jarg1_, int jarg2)` |
    `static double` | `Geometry_GetZ__SWIG_1​(long jarg1, Geometry jarg1_)` |
    `static int` | `Geometry_HasCurveGeometry__SWIG_0​(long jarg1, Geometry jarg1_, int jarg2)` |
    `static int` | `Geometry_HasCurveGeometry__SWIG_1​(long jarg1, Geometry jarg1_)` |
    `static boolean` | `Geometry_Intersect​(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)` |
    `static long` | `Geometry_Intersection​(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)` |
    `static boolean` | `Geometry_Intersects​(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)` |
    `static int` | `Geometry_Is3D​(long jarg1, Geometry jarg1_)` |
    `static boolean` | `Geometry_IsEmpty​(long jarg1, Geometry jarg1_)` |
    `static int` | `Geometry_IsMeasured​(long jarg1, Geometry jarg1_)` |
    `static boolean` | `Geometry_IsRing​(long jarg1, Geometry jarg1_)` |
    `static boolean` | `Geometry_IsSimple​(long jarg1, Geometry jarg1_)` |
    `static boolean` | `Geometry_IsValid​(long jarg1, Geometry jarg1_)` |
    `static double` | `Geometry_Length​(long jarg1, Geometry jarg1_)` |
    `static long` | `Geometry_MakeValid​(long jarg1, Geometry jarg1_)` |
    `static boolean` | `Geometry_Overlaps​(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)` |
    `static long` | `Geometry_PointOnSurface​(long jarg1, Geometry jarg1_)` |
    `static long` | `Geometry_Polygonize​(long jarg1, Geometry jarg1_)` |
    `static int` | `Geometry_RemoveGeometry​(long jarg1, Geometry jarg1_, int jarg2)` |
    `static long` | `Geometry_RemoveLowerDimensionSubGeoms​(long jarg1, Geometry jarg1_)` |
    `static void` | `Geometry_Segmentize​(long jarg1, Geometry jarg1_, double jarg2)` |
    `static void` | `Geometry_Set3D​(long jarg1, Geometry jarg1_, int jarg2)` |
    `static void` | `Geometry_SetCoordinateDimension​(long jarg1, Geometry jarg1_, int jarg2)` |
    `static void` | `Geometry_SetMeasured​(long jarg1, Geometry jarg1_, int jarg2)` |
    `static void` | `Geometry_SetPoint__SWIG_0​(long jarg1, Geometry jarg1_, int jarg2, double jarg3, double jarg4, double jarg5)` |
    `static void` | `Geometry_SetPoint__SWIG_1​(long jarg1, Geometry jarg1_, int jarg2, double jarg3, double jarg4)` |
    `static void` | `Geometry_SetPoint_2D​(long jarg1, Geometry jarg1_, int jarg2, double jarg3, double jarg4)` |
    `static void` | `Geometry_SetPointM​(long jarg1, Geometry jarg1_, int jarg2, double jarg3, double jarg4, double jarg5)` |
    `static void` | `Geometry_SetPointZM​(long jarg1, Geometry jarg1_, int jarg2, double jarg3, double jarg4, double jarg5, double jarg6)` |
    `static long` | `Geometry_Simplify​(long jarg1, Geometry jarg1_, double jarg2)` |
    `static long` | `Geometry_SimplifyPreserveTopology​(long jarg1, Geometry jarg1_, double jarg2)` |
    `static void` | `Geometry_SwapXY​(long jarg1, Geometry jarg1_)` |
    `static long` | `Geometry_SymDifference​(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)` |
    `static long` | `Geometry_SymmetricDifference​(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)` |
    `static boolean` | `Geometry_Touches​(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)` |
    `static int` | `Geometry_Transform__SWIG_0​(long jarg1, Geometry jarg1_, long jarg2, CoordinateTransformation jarg2_)` |
    `static long` | `Geometry_Transform__SWIG_1​(long jarg1, Geometry jarg1_, long jarg2, GeomTransformer jarg2_)` |
    `static int` | `Geometry_TransformTo​(long jarg1, Geometry jarg1_, long jarg2, SpatialReference jarg2_)` |
    `static long` | `Geometry_Union​(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)` |
    `static long` | `Geometry_UnionCascaded​(long jarg1, Geometry jarg1_)` |
    `static long` | `Geometry_Value​(long jarg1, Geometry jarg1_, double jarg2)` |
    `static boolean` | `Geometry_Within​(long jarg1, Geometry jarg1_, long jarg2, Geometry jarg2_)` |
    `static int` | `Geometry_WkbSize​(long jarg1, Geometry jarg1_)` |
    `static java.lang.String` | `GeometryTypeToName​(int jarg1)` |
    `static int` | `GeomFieldDefn_GetFieldType​(long jarg1, GeomFieldDefn jarg1_)` |
    `static java.lang.String` | `GeomFieldDefn_GetName​(long jarg1, GeomFieldDefn jarg1_)` |
    `static java.lang.String` | `GeomFieldDefn_GetNameRef​(long jarg1, GeomFieldDefn jarg1_)` |
    `static long` | `GeomFieldDefn_GetSpatialRef​(long jarg1, GeomFieldDefn jarg1_)` |
    `static int` | `GeomFieldDefn_IsIgnored​(long jarg1, GeomFieldDefn jarg1_)` |
    `static int` | `GeomFieldDefn_IsNullable​(long jarg1, GeomFieldDefn jarg1_)` |
    `static void` | `GeomFieldDefn_SetIgnored​(long jarg1, GeomFieldDefn jarg1_, int jarg2)` |
    `static void` | `GeomFieldDefn_SetName​(long jarg1, GeomFieldDefn jarg1_, java.lang.String jarg2)` |
    `static void` | `GeomFieldDefn_SetNullable​(long jarg1, GeomFieldDefn jarg1_, int jarg2)` |
    `static void` | `GeomFieldDefn_SetSpatialRef​(long jarg1, GeomFieldDefn jarg1_, long jarg2, SpatialReference jarg2_)` |
    `static void` | `GeomFieldDefn_SetType​(long jarg1, GeomFieldDefn jarg1_, int jarg2)` |
    `static long` | `GeomTransformer_Transform​(long jarg1, GeomTransformer jarg1_, long jarg2, Geometry jarg2_)` |
    `static long` | `GetDriver​(int jarg1)` |
    `static long` | `GetDriverByName​(java.lang.String jarg1)` |
    `static int` | `GetDriverCount​()` |
    `static java.lang.String` | `GetFieldSubTypeName​(int jarg1)` |
    `static java.lang.String` | `GetFieldTypeName​(int jarg1)` |
    `static int` | `GetNonLinearGeometriesEnabledFlag​()` |
    `static long` | `GetOpenDS​(int jarg1)` |
    `static int` | `GetOpenDSCount​()` |
    `static int` | `GT_Flatten​(int jarg1)` |
    `static int` | `GT_GetCollection​(int jarg1)` |
    `static int` | `GT_GetCurve​(int jarg1)` |
    `static int` | `GT_GetLinear​(int jarg1)` |
    `static int` | `GT_HasM​(int jarg1)` |
    `static int` | `GT_HasZ​(int jarg1)` |
    `static int` | `GT_IsCurve​(int jarg1)` |
    `static int` | `GT_IsNonLinear​(int jarg1)` |
    `static int` | `GT_IsSubClassOf​(int jarg1, int jarg2)` |
    `static int` | `GT_IsSurface​(int jarg1)` |
    `static int` | `GT_SetM​(int jarg1)` |
    `static int` | `GT_SetModifier__SWIG_0​(int jarg1, int jarg2, int jarg3)` |
    `static int` | `GT_SetModifier__SWIG_1​(int jarg1, int jarg2)` |
    `static int` | `GT_SetZ​(int jarg1)` |
    `static boolean` | `isAvailable​()` |
    `static int` | `Layer_AlterFieldDefn​(long jarg1, Layer jarg1_, int jarg2, long jarg3, FieldDefn jarg3_, int jarg4)` |
    `static int` | `Layer_Clip__SWIG_0​(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, java.util.Vector jarg4, ProgressCallback jarg5)` |
    `static int` | `Layer_Clip__SWIG_2​(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, java.util.Vector jarg4)` |
    `static int` | `Layer_Clip__SWIG_3​(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_)` |
    `static int` | `Layer_CommitTransaction​(long jarg1, Layer jarg1_)` |
    `static int` | `Layer_CreateFeature​(long jarg1, Layer jarg1_, long jarg2, Feature jarg2_)` |
    `static int` | `Layer_CreateField__SWIG_0​(long jarg1, Layer jarg1_, long jarg2, FieldDefn jarg2_, int jarg3)` |
    `static int` | `Layer_CreateField__SWIG_1​(long jarg1, Layer jarg1_, long jarg2, FieldDefn jarg2_)` |
    `static int` | `Layer_CreateGeomField__SWIG_0​(long jarg1, Layer jarg1_, long jarg2, GeomFieldDefn jarg2_, int jarg3)` |
    `static int` | `Layer_CreateGeomField__SWIG_1​(long jarg1, Layer jarg1_, long jarg2, GeomFieldDefn jarg2_)` |
    `static int` | `Layer_DeleteFeature​(long jarg1, Layer jarg1_, long jarg2)` |
    `static int` | `Layer_DeleteField​(long jarg1, Layer jarg1_, int jarg2)` |
    `static int` | `Layer_Erase__SWIG_0​(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, java.util.Vector jarg4, ProgressCallback jarg5)` |
    `static int` | `Layer_Erase__SWIG_2​(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, java.util.Vector jarg4)` |
    `static int` | `Layer_Erase__SWIG_3​(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_)` |
    `static int` | `Layer_FindFieldIndex​(long jarg1, Layer jarg1_, java.lang.String jarg2, int jarg3)` |
    `static int` | `Layer_GetExtent​(long jarg1, Layer jarg1_, double[] jarg2, int jarg3)` |
    `static long` | `Layer_GetFeature​(long jarg1, Layer jarg1_, long jarg2)` |
    `static long` | `Layer_GetFeatureCount__SWIG_0​(long jarg1, Layer jarg1_, int jarg2)` |
    `static long` | `Layer_GetFeatureCount__SWIG_1​(long jarg1, Layer jarg1_)` |
    `static long` | `Layer_GetFeaturesRead​(long jarg1, Layer jarg1_)` |
    `static java.lang.String` | `Layer_GetFIDColumn​(long jarg1, Layer jarg1_)` |
    `static java.lang.String` | `Layer_GetGeometryColumn​(long jarg1, Layer jarg1_)` |
    `static int` | `Layer_GetGeomType​(long jarg1, Layer jarg1_)` |
    `static long` | `Layer_GetLayerDefn​(long jarg1, Layer jarg1_)` |
    `static java.lang.String` | `Layer_GetName​(long jarg1, Layer jarg1_)` |
    `static long` | `Layer_GetNextFeature​(long jarg1, Layer jarg1_)` |
    `static int` | `Layer_GetRefCount​(long jarg1, Layer jarg1_)` |
    `static long` | `Layer_GetSpatialFilter​(long jarg1, Layer jarg1_)` |
    `static long` | `Layer_GetSpatialRef​(long jarg1, Layer jarg1_)` |
    `static long` | `Layer_GetStyleTable​(long jarg1, Layer jarg1_)` |
    `static int` | `Layer_Identity__SWIG_0​(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, java.util.Vector jarg4, ProgressCallback jarg5)` |
    `static int` | `Layer_Identity__SWIG_2​(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, java.util.Vector jarg4)` |
    `static int` | `Layer_Identity__SWIG_3​(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_)` |
    `static int` | `Layer_Intersection__SWIG_0​(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, java.util.Vector jarg4, ProgressCallback jarg5)` |
    `static int` | `Layer_Intersection__SWIG_2​(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, java.util.Vector jarg4)` |
    `static int` | `Layer_Intersection__SWIG_3​(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_)` |
    `static int` | `Layer_ReorderField​(long jarg1, Layer jarg1_, int jarg2, int jarg3)` |
    `static int` | `Layer_ReorderFields​(long jarg1, Layer jarg1_, int[] jarg2)` |
    `static void` | `Layer_ResetReading​(long jarg1, Layer jarg1_)` |
    `static int` | `Layer_RollbackTransaction​(long jarg1, Layer jarg1_)` |
    `static int` | `Layer_SetAttributeFilter​(long jarg1, Layer jarg1_, java.lang.String jarg2)` |
    `static int` | `Layer_SetFeature​(long jarg1, Layer jarg1_, long jarg2, Feature jarg2_)` |
    `static int` | `Layer_SetIgnoredFields​(long jarg1, Layer jarg1_, java.util.Vector jarg2)` |
    `static int` | `Layer_SetNextByIndex​(long jarg1, Layer jarg1_, long jarg2)` |
    `static void` | `Layer_SetSpatialFilter__SWIG_0​(long jarg1, Layer jarg1_, long jarg2, Geometry jarg2_)` |
    `static void` | `Layer_SetSpatialFilter__SWIG_1​(long jarg1, Layer jarg1_, int jarg2, long jarg3, Geometry jarg3_)` |
    `static void` | `Layer_SetSpatialFilterRect__SWIG_0​(long jarg1, Layer jarg1_, double jarg2, double jarg3, double jarg4, double jarg5)` |
    `static void` | `Layer_SetSpatialFilterRect__SWIG_1​(long jarg1, Layer jarg1_, int jarg2, double jarg3, double jarg4, double jarg5, double jarg6)` |
    `static void` | `Layer_SetStyleTable​(long jarg1, Layer jarg1_, long jarg2, StyleTable jarg2_)` |
    `static int` | `Layer_StartTransaction​(long jarg1, Layer jarg1_)` |
    `static long` | `Layer_SWIGUpcast​(long jarg1)` |
    `static int` | `Layer_SymDifference__SWIG_0​(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, java.util.Vector jarg4, ProgressCallback jarg5)` |
    `static int` | `Layer_SymDifference__SWIG_2​(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, java.util.Vector jarg4)` |
    `static int` | `Layer_SymDifference__SWIG_3​(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_)` |
    `static int` | `Layer_SyncToDisk​(long jarg1, Layer jarg1_)` |
    `static boolean` | `Layer_TestCapability​(long jarg1, Layer jarg1_, java.lang.String jarg2)` |
    `static int` | `Layer_Union__SWIG_0​(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, java.util.Vector jarg4, ProgressCallback jarg5)` |
    `static int` | `Layer_Union__SWIG_2​(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, java.util.Vector jarg4)` |
    `static int` | `Layer_Union__SWIG_3​(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_)` |
    `static int` | `Layer_Update__SWIG_0​(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, java.util.Vector jarg4, ProgressCallback jarg5)` |
    `static int` | `Layer_Update__SWIG_2​(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_, java.util.Vector jarg4)` |
    `static int` | `Layer_Update__SWIG_3​(long jarg1, Layer jarg1_, long jarg2, Layer jarg2_, long jarg3, Layer jarg3_)` |
    `static long` | `new_Feature​(long jarg1, FeatureDefn jarg1_)` |
    `static long` | `new_FeatureDefn__SWIG_0​(java.lang.String jarg1)` |
    `static long` | `new_FeatureDefn__SWIG_1​()` |
    `static long` | `new_FieldDefn__SWIG_0​(java.lang.String jarg1, int jarg2)` |
    `static long` | `new_FieldDefn__SWIG_1​(java.lang.String jarg1)` |
    `static long` | `new_FieldDefn__SWIG_2​()` |
    `static long` | `new_Geometry__SWIG_0​(int jarg1, java.lang.String jarg2, byte[] jarg3, java.lang.String jarg5)` |
    `static long` | `new_Geometry__SWIG_1​(int jarg1)` |
    `static long` | `new_GeomFieldDefn__SWIG_0​(java.lang.String jarg1, int jarg2)` |
    `static long` | `new_GeomFieldDefn__SWIG_1​(java.lang.String jarg1)` |
    `static long` | `new_GeomFieldDefn__SWIG_2​()` |
    `static long` | `new_GeomTransformer__SWIG_0​(long jarg1, CoordinateTransformation jarg1_, java.util.Vector jarg2)` |
    `static long` | `new_GeomTransformer__SWIG_1​(long jarg1, CoordinateTransformation jarg1_)` |
    `static long` | `new_ProgressCallback​()` |
    `static long` | `new_StyleTable​()` |
    `static long` | `new_TermProgressCallback​()` |
    `static long` | `Open__SWIG_0​(java.lang.String jarg1, int jarg2)` |
    `static long` | `Open__SWIG_1​(java.lang.String jarg1)` |
    `static long` | `OpenShared__SWIG_0​(java.lang.String jarg1, int jarg2)` |
    `static long` | `OpenShared__SWIG_1​(java.lang.String jarg1)` |
    `static int` | `ProgressCallback_run​(long jarg1, ProgressCallback jarg1_, double jarg2, java.lang.String jarg3)` |
    `static void` | `RegisterAll​()` |
    `static int` | `SetGenerate_DB2_V72_BYTE_ORDER​(int jarg1)` |
    `static void` | `SetNonLinearGeometriesEnabledFlag​(int jarg1)` |
    `static int` | `StyleTable_AddStyle​(long jarg1, StyleTable jarg1_, java.lang.String jarg2, java.lang.String jarg3)` |
    `static java.lang.String` | `StyleTable_Find​(long jarg1, StyleTable jarg1_, java.lang.String jarg2)` |
    `static java.lang.String` | `StyleTable_GetLastStyleName​(long jarg1, StyleTable jarg1_)` |
    `static java.lang.String` | `StyleTable_GetNextStyle​(long jarg1, StyleTable jarg1_)` |
    `static int` | `StyleTable_LoadStyleTable​(long jarg1, StyleTable jarg1_, java.lang.String jarg2)` |
    `static void` | `StyleTable_ResetStyleStringReading​(long jarg1, StyleTable jarg1_)` |
    `static int` | `StyleTable_SaveStyleTable​(long jarg1, StyleTable jarg1_, java.lang.String jarg2)` |
    `static int` | `TermProgressCallback_run​(long jarg1, TermProgressCallback jarg1_, double jarg2, java.lang.String jarg3)` |
    `static long` | `TermProgressCallback_SWIGUpcast​(long jarg1)` |
    `static void` | `UseExceptions​()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ogrJNI

          public ogrJNI​()

  - ### Method Detail

    - #### UseExceptions

          public static final void UseExceptions​()

    - #### DontUseExceptions

          public static final void DontUseExceptions​()

    - #### isAvailable

          public static boolean isAvailable​()

    - #### delete_ProgressCallback

          public static final void delete_ProgressCallback​(long jarg1)

    - #### ProgressCallback_run

          public static final int ProgressCallback_run​(long jarg1,
                                                       ProgressCallback jarg1_,
                                                       double jarg2,
                                                       java.lang.String jarg3)

    - #### new_ProgressCallback

          public static final long new_ProgressCallback​()

    - #### new_TermProgressCallback

          public static final long new_TermProgressCallback​()

    - #### TermProgressCallback_run

          public static final int TermProgressCallback_run​(long jarg1,
                                                           TermProgressCallback jarg1_,
                                                           double jarg2,
                                                           java.lang.String jarg3)

    - #### delete_TermProgressCallback

          public static final void delete_TermProgressCallback​(long jarg1)

    - #### new_StyleTable

          public static final long new_StyleTable​()

    - #### delete_StyleTable

          public static final void delete_StyleTable​(long jarg1)

    - #### StyleTable_AddStyle

          public static final int StyleTable_AddStyle​(long jarg1,
                                                      StyleTable jarg1_,
                                                      java.lang.String jarg2,
                                                      java.lang.String jarg3)

    - #### StyleTable_LoadStyleTable

          public static final int StyleTable_LoadStyleTable​(long jarg1,
                                                            StyleTable jarg1_,
                                                            java.lang.String jarg2)

    - #### StyleTable_SaveStyleTable

          public static final int StyleTable_SaveStyleTable​(long jarg1,
                                                            StyleTable jarg1_,
                                                            java.lang.String jarg2)

    - #### StyleTable_Find

          public static final java.lang.String StyleTable_Find​(long jarg1,
                                                               StyleTable jarg1_,
                                                               java.lang.String jarg2)

    - #### StyleTable_ResetStyleStringReading

          public static final void StyleTable_ResetStyleStringReading​(long jarg1,
                                                                      StyleTable jarg1_)

    - #### StyleTable_GetNextStyle

          public static final java.lang.String StyleTable_GetNextStyle​(long jarg1,
                                                                       StyleTable jarg1_)

    - #### StyleTable_GetLastStyleName

          public static final java.lang.String StyleTable_GetLastStyleName​(long jarg1,
                                                                           StyleTable jarg1_)

    - #### Driver_name_get

          public static final java.lang.String Driver_name_get​(long jarg1,
                                                               Driver jarg1_)

    - #### Driver_CreateDataSource__SWIG_0

          public static final long Driver_CreateDataSource__SWIG_0​(long jarg1,
                                                                   Driver jarg1_,
                                                                   java.lang.String jarg2,
                                                                   java.util.Vector jarg3)

    - #### Driver_CreateDataSource__SWIG_1

          public static final long Driver_CreateDataSource__SWIG_1​(long jarg1,
                                                                   Driver jarg1_,
                                                                   java.lang.String jarg2)

    - #### Driver_CopyDataSource__SWIG_0

          public static final long Driver_CopyDataSource__SWIG_0​(long jarg1,
                                                                 Driver jarg1_,
                                                                 long jarg2,
                                                                 DataSource jarg2_,
                                                                 java.lang.String jarg3,
                                                                 java.util.Vector jarg4)

    - #### Driver_CopyDataSource__SWIG_1

          public static final long Driver_CopyDataSource__SWIG_1​(long jarg1,
                                                                 Driver jarg1_,
                                                                 long jarg2,
                                                                 DataSource jarg2_,
                                                                 java.lang.String jarg3)

    - #### Driver_Open__SWIG_0

          public static final long Driver_Open__SWIG_0​(long jarg1,
                                                       Driver jarg1_,
                                                       java.lang.String jarg2,
                                                       int jarg3)

    - #### Driver_Open__SWIG_1

          public static final long Driver_Open__SWIG_1​(long jarg1,
                                                       Driver jarg1_,
                                                       java.lang.String jarg2)

    - #### Driver_DeleteDataSource

          public static final int Driver_DeleteDataSource​(long jarg1,
                                                          Driver jarg1_,
                                                          java.lang.String jarg2)

    - #### Driver_TestCapability

          public static final boolean Driver_TestCapability​(long jarg1,
                                                            Driver jarg1_,
                                                            java.lang.String jarg2)

    - #### Driver_GetName

          public static final java.lang.String Driver_GetName​(long jarg1,
                                                              Driver jarg1_)

    - #### Driver_Register

          public static final void Driver_Register​(long jarg1,
                                                   Driver jarg1_)

    - #### Driver_Deregister

          public static final void Driver_Deregister​(long jarg1,
                                                     Driver jarg1_)

    - #### DataSource_name_get

          public static final java.lang.String DataSource_name_get​(long jarg1,
                                                                   DataSource jarg1_)

    - #### delete_DataSource

          public static final void delete_DataSource​(long jarg1)

    - #### DataSource_GetRefCount

          public static final int DataSource_GetRefCount​(long jarg1,
                                                         DataSource jarg1_)

    - #### DataSource_GetSummaryRefCount

          public static final int DataSource_GetSummaryRefCount​(long jarg1,
                                                                DataSource jarg1_)

    - #### DataSource_GetLayerCount

          public static final int DataSource_GetLayerCount​(long jarg1,
                                                           DataSource jarg1_)

    - #### DataSource_GetDriver

          public static final long DataSource_GetDriver​(long jarg1,
                                                        DataSource jarg1_)

    - #### DataSource_GetName

          public static final java.lang.String DataSource_GetName​(long jarg1,
                                                                  DataSource jarg1_)

    - #### DataSource_DeleteLayer

          public static final int DataSource_DeleteLayer​(long jarg1,
                                                         DataSource jarg1_,
                                                         int jarg2)

    - #### DataSource_SyncToDisk

          public static final int DataSource_SyncToDisk​(long jarg1,
                                                        DataSource jarg1_)

    - #### DataSource_FlushCache

          public static final void DataSource_FlushCache​(long jarg1,
                                                         DataSource jarg1_)

    - #### DataSource_CreateLayer__SWIG_0

          public static final long DataSource_CreateLayer__SWIG_0​(long jarg1,
                                                                  DataSource jarg1_,
                                                                  java.lang.String jarg2,
                                                                  long jarg3,
                                                                  SpatialReference jarg3_,
                                                                  int jarg4,
                                                                  java.util.Vector jarg5)

    - #### DataSource_CreateLayer__SWIG_1

          public static final long DataSource_CreateLayer__SWIG_1​(long jarg1,
                                                                  DataSource jarg1_,
                                                                  java.lang.String jarg2,
                                                                  long jarg3,
                                                                  SpatialReference jarg3_,
                                                                  int jarg4)

    - #### DataSource_CreateLayer__SWIG_2

          public static final long DataSource_CreateLayer__SWIG_2​(long jarg1,
                                                                  DataSource jarg1_,
                                                                  java.lang.String jarg2,
                                                                  long jarg3,
                                                                  SpatialReference jarg3_)

    - #### DataSource_CreateLayer__SWIG_3

          public static final long DataSource_CreateLayer__SWIG_3​(long jarg1,
                                                                  DataSource jarg1_,
                                                                  java.lang.String jarg2)

    - #### DataSource_CopyLayer__SWIG_0

          public static final long DataSource_CopyLayer__SWIG_0​(long jarg1,
                                                                DataSource jarg1_,
                                                                long jarg2,
                                                                Layer jarg2_,
                                                                java.lang.String jarg3,
                                                                java.util.Vector jarg4)

    - #### DataSource_CopyLayer__SWIG_1

          public static final long DataSource_CopyLayer__SWIG_1​(long jarg1,
                                                                DataSource jarg1_,
                                                                long jarg2,
                                                                Layer jarg2_,
                                                                java.lang.String jarg3)

    - #### DataSource_GetLayerByIndex

          public static final long DataSource_GetLayerByIndex​(long jarg1,
                                                              DataSource jarg1_,
                                                              int jarg2)

    - #### DataSource_GetLayerByName

          public static final long DataSource_GetLayerByName​(long jarg1,
                                                             DataSource jarg1_,
                                                             java.lang.String jarg2)

    - #### DataSource_TestCapability

          public static final boolean DataSource_TestCapability​(long jarg1,
                                                                DataSource jarg1_,
                                                                java.lang.String jarg2)

    - #### DataSource_ExecuteSQL__SWIG_0

          public static final long DataSource_ExecuteSQL__SWIG_0​(long jarg1,
                                                                 DataSource jarg1_,
                                                                 java.lang.String jarg2,
                                                                 long jarg3,
                                                                 Geometry jarg3_,
                                                                 java.lang.String jarg4)

    - #### DataSource_ExecuteSQL__SWIG_1

          public static final long DataSource_ExecuteSQL__SWIG_1​(long jarg1,
                                                                 DataSource jarg1_,
                                                                 java.lang.String jarg2,
                                                                 long jarg3,
                                                                 Geometry jarg3_)

    - #### DataSource_ExecuteSQL__SWIG_2

          public static final long DataSource_ExecuteSQL__SWIG_2​(long jarg1,
                                                                 DataSource jarg1_,
                                                                 java.lang.String jarg2)

    - #### DataSource_AbortSQL

          public static final int DataSource_AbortSQL​(long jarg1,
                                                      DataSource jarg1_)

    - #### DataSource_ReleaseResultSet

          public static final void DataSource_ReleaseResultSet​(long jarg1,
                                                               DataSource jarg1_,
                                                               long jarg2,
                                                               Layer jarg2_)

    - #### DataSource_GetStyleTable

          public static final long DataSource_GetStyleTable​(long jarg1,
                                                            DataSource jarg1_)

    - #### DataSource_SetStyleTable

          public static final void DataSource_SetStyleTable​(long jarg1,
                                                            DataSource jarg1_,
                                                            long jarg2,
                                                            StyleTable jarg2_)

    - #### DataSource_StartTransaction__SWIG_0

          public static final int DataSource_StartTransaction__SWIG_0​(long jarg1,
                                                                      DataSource jarg1_,
                                                                      int jarg2)

    - #### DataSource_StartTransaction__SWIG_1

          public static final int DataSource_StartTransaction__SWIG_1​(long jarg1,
                                                                      DataSource jarg1_)

    - #### DataSource_CommitTransaction

          public static final int DataSource_CommitTransaction​(long jarg1,
                                                               DataSource jarg1_)

    - #### DataSource_RollbackTransaction

          public static final int DataSource_RollbackTransaction​(long jarg1,
                                                                 DataSource jarg1_)

    - #### Layer_GetRefCount

          public static final int Layer_GetRefCount​(long jarg1,
                                                    Layer jarg1_)

    - #### Layer_SetSpatialFilter__SWIG_0

          public static final void Layer_SetSpatialFilter__SWIG_0​(long jarg1,
                                                                  Layer jarg1_,
                                                                  long jarg2,
                                                                  Geometry jarg2_)

    - #### Layer_SetSpatialFilterRect__SWIG_0

          public static final void Layer_SetSpatialFilterRect__SWIG_0​(long jarg1,
                                                                      Layer jarg1_,
                                                                      double jarg2,
                                                                      double jarg3,
                                                                      double jarg4,
                                                                      double jarg5)

    - #### Layer_SetSpatialFilter__SWIG_1

          public static final void Layer_SetSpatialFilter__SWIG_1​(long jarg1,
                                                                  Layer jarg1_,
                                                                  int jarg2,
                                                                  long jarg3,
                                                                  Geometry jarg3_)

    - #### Layer_SetSpatialFilterRect__SWIG_1

          public static final void Layer_SetSpatialFilterRect__SWIG_1​(long jarg1,
                                                                      Layer jarg1_,
                                                                      int jarg2,
                                                                      double jarg3,
                                                                      double jarg4,
                                                                      double jarg5,
                                                                      double jarg6)

    - #### Layer_GetSpatialFilter

          public static final long Layer_GetSpatialFilter​(long jarg1,
                                                          Layer jarg1_)

    - #### Layer_SetAttributeFilter

          public static final int Layer_SetAttributeFilter​(long jarg1,
                                                           Layer jarg1_,
                                                           java.lang.String jarg2)

    - #### Layer_ResetReading

          public static final void Layer_ResetReading​(long jarg1,
                                                      Layer jarg1_)

    - #### Layer_GetName

          public static final java.lang.String Layer_GetName​(long jarg1,
                                                             Layer jarg1_)

    - #### Layer_GetGeomType

          public static final int Layer_GetGeomType​(long jarg1,
                                                    Layer jarg1_)

    - #### Layer_GetGeometryColumn

          public static final java.lang.String Layer_GetGeometryColumn​(long jarg1,
                                                                       Layer jarg1_)

    - #### Layer_GetFIDColumn

          public static final java.lang.String Layer_GetFIDColumn​(long jarg1,
                                                                  Layer jarg1_)

    - #### Layer_GetFeature

          public static final long Layer_GetFeature​(long jarg1,
                                                    Layer jarg1_,
                                                    long jarg2)

    - #### Layer_GetNextFeature

          public static final long Layer_GetNextFeature​(long jarg1,
                                                        Layer jarg1_)

    - #### Layer_SetNextByIndex

          public static final int Layer_SetNextByIndex​(long jarg1,
                                                       Layer jarg1_,
                                                       long jarg2)

    - #### Layer_SetFeature

          public static final int Layer_SetFeature​(long jarg1,
                                                   Layer jarg1_,
                                                   long jarg2,
                                                   Feature jarg2_)

    - #### Layer_CreateFeature

          public static final int Layer_CreateFeature​(long jarg1,
                                                      Layer jarg1_,
                                                      long jarg2,
                                                      Feature jarg2_)

    - #### Layer_DeleteFeature

          public static final int Layer_DeleteFeature​(long jarg1,
                                                      Layer jarg1_,
                                                      long jarg2)

    - #### Layer_SyncToDisk

          public static final int Layer_SyncToDisk​(long jarg1,
                                                   Layer jarg1_)

    - #### Layer_GetLayerDefn

          public static final long Layer_GetLayerDefn​(long jarg1,
                                                      Layer jarg1_)

    - #### Layer_GetFeatureCount__SWIG_0

          public static final long Layer_GetFeatureCount__SWIG_0​(long jarg1,
                                                                 Layer jarg1_,
                                                                 int jarg2)

    - #### Layer_GetFeatureCount__SWIG_1

          public static final long Layer_GetFeatureCount__SWIG_1​(long jarg1,
                                                                 Layer jarg1_)

    - #### Layer_GetExtent

          public static final int Layer_GetExtent​(long jarg1,
                                                  Layer jarg1_,
                                                  double[] jarg2,
                                                  int jarg3)

    - #### Layer_TestCapability

          public static final boolean Layer_TestCapability​(long jarg1,
                                                           Layer jarg1_,
                                                           java.lang.String jarg2)

    - #### Layer_CreateField__SWIG_0

          public static final int Layer_CreateField__SWIG_0​(long jarg1,
                                                            Layer jarg1_,
                                                            long jarg2,
                                                            FieldDefn jarg2_,
                                                            int jarg3)

    - #### Layer_CreateField__SWIG_1

          public static final int Layer_CreateField__SWIG_1​(long jarg1,
                                                            Layer jarg1_,
                                                            long jarg2,
                                                            FieldDefn jarg2_)

    - #### Layer_DeleteField

          public static final int Layer_DeleteField​(long jarg1,
                                                    Layer jarg1_,
                                                    int jarg2)

    - #### Layer_ReorderField

          public static final int Layer_ReorderField​(long jarg1,
                                                     Layer jarg1_,
                                                     int jarg2,
                                                     int jarg3)

    - #### Layer_ReorderFields

          public static final int Layer_ReorderFields​(long jarg1,
                                                      Layer jarg1_,
                                                      int[] jarg2)

    - #### Layer_AlterFieldDefn

          public static final int Layer_AlterFieldDefn​(long jarg1,
                                                       Layer jarg1_,
                                                       int jarg2,
                                                       long jarg3,
                                                       FieldDefn jarg3_,
                                                       int jarg4)

    - #### Layer_CreateGeomField__SWIG_0

          public static final int Layer_CreateGeomField__SWIG_0​(long jarg1,
                                                                Layer jarg1_,
                                                                long jarg2,
                                                                GeomFieldDefn jarg2_,
                                                                int jarg3)

    - #### Layer_CreateGeomField__SWIG_1

          public static final int Layer_CreateGeomField__SWIG_1​(long jarg1,
                                                                Layer jarg1_,
                                                                long jarg2,
                                                                GeomFieldDefn jarg2_)

    - #### Layer_StartTransaction

          public static final int Layer_StartTransaction​(long jarg1,
                                                         Layer jarg1_)

    - #### Layer_CommitTransaction

          public static final int Layer_CommitTransaction​(long jarg1,
                                                          Layer jarg1_)

    - #### Layer_RollbackTransaction

          public static final int Layer_RollbackTransaction​(long jarg1,
                                                            Layer jarg1_)

    - #### Layer_FindFieldIndex

          public static final int Layer_FindFieldIndex​(long jarg1,
                                                       Layer jarg1_,
                                                       java.lang.String jarg2,
                                                       int jarg3)

    - #### Layer_GetSpatialRef

          public static final long Layer_GetSpatialRef​(long jarg1,
                                                       Layer jarg1_)

    - #### Layer_GetFeaturesRead

          public static final long Layer_GetFeaturesRead​(long jarg1,
                                                         Layer jarg1_)

    - #### Layer_SetIgnoredFields

          public static final int Layer_SetIgnoredFields​(long jarg1,
                                                         Layer jarg1_,
                                                         java.util.Vector jarg2)

    - #### Layer_Intersection__SWIG_0

          public static final int Layer_Intersection__SWIG_0​(long jarg1,
                                                             Layer jarg1_,
                                                             long jarg2,
                                                             Layer jarg2_,
                                                             long jarg3,
                                                             Layer jarg3_,
                                                             java.util.Vector jarg4,
                                                             ProgressCallback jarg5)

    - #### Layer_Intersection__SWIG_2

          public static final int Layer_Intersection__SWIG_2​(long jarg1,
                                                             Layer jarg1_,
                                                             long jarg2,
                                                             Layer jarg2_,
                                                             long jarg3,
                                                             Layer jarg3_,
                                                             java.util.Vector jarg4)

    - #### Layer_Intersection__SWIG_3

          public static final int Layer_Intersection__SWIG_3​(long jarg1,
                                                             Layer jarg1_,
                                                             long jarg2,
                                                             Layer jarg2_,
                                                             long jarg3,
                                                             Layer jarg3_)

    - #### Layer_Union__SWIG_0

          public static final int Layer_Union__SWIG_0​(long jarg1,
                                                      Layer jarg1_,
                                                      long jarg2,
                                                      Layer jarg2_,
                                                      long jarg3,
                                                      Layer jarg3_,
                                                      java.util.Vector jarg4,
                                                      ProgressCallback jarg5)

    - #### Layer_Union__SWIG_2

          public static final int Layer_Union__SWIG_2​(long jarg1,
                                                      Layer jarg1_,
                                                      long jarg2,
                                                      Layer jarg2_,
                                                      long jarg3,
                                                      Layer jarg3_,
                                                      java.util.Vector jarg4)

    - #### Layer_Union__SWIG_3

          public static final int Layer_Union__SWIG_3​(long jarg1,
                                                      Layer jarg1_,
                                                      long jarg2,
                                                      Layer jarg2_,
                                                      long jarg3,
                                                      Layer jarg3_)

    - #### Layer_SymDifference__SWIG_0

          public static final int Layer_SymDifference__SWIG_0​(long jarg1,
                                                              Layer jarg1_,
                                                              long jarg2,
                                                              Layer jarg2_,
                                                              long jarg3,
                                                              Layer jarg3_,
                                                              java.util.Vector jarg4,
                                                              ProgressCallback jarg5)

    - #### Layer_SymDifference__SWIG_2

          public static final int Layer_SymDifference__SWIG_2​(long jarg1,
                                                              Layer jarg1_,
                                                              long jarg2,
                                                              Layer jarg2_,
                                                              long jarg3,
                                                              Layer jarg3_,
                                                              java.util.Vector jarg4)

    - #### Layer_SymDifference__SWIG_3

          public static final int Layer_SymDifference__SWIG_3​(long jarg1,
                                                              Layer jarg1_,
                                                              long jarg2,
                                                              Layer jarg2_,
                                                              long jarg3,
                                                              Layer jarg3_)

    - #### Layer_Identity__SWIG_0

          public static final int Layer_Identity__SWIG_0​(long jarg1,
                                                         Layer jarg1_,
                                                         long jarg2,
                                                         Layer jarg2_,
                                                         long jarg3,
                                                         Layer jarg3_,
                                                         java.util.Vector jarg4,
                                                         ProgressCallback jarg5)

    - #### Layer_Identity__SWIG_2

          public static final int Layer_Identity__SWIG_2​(long jarg1,
                                                         Layer jarg1_,
                                                         long jarg2,
                                                         Layer jarg2_,
                                                         long jarg3,
                                                         Layer jarg3_,
                                                         java.util.Vector jarg4)

    - #### Layer_Identity__SWIG_3

          public static final int Layer_Identity__SWIG_3​(long jarg1,
                                                         Layer jarg1_,
                                                         long jarg2,
                                                         Layer jarg2_,
                                                         long jarg3,
                                                         Layer jarg3_)

    - #### Layer_Update__SWIG_0

          public static final int Layer_Update__SWIG_0​(long jarg1,
                                                       Layer jarg1_,
                                                       long jarg2,
                                                       Layer jarg2_,
                                                       long jarg3,
                                                       Layer jarg3_,
                                                       java.util.Vector jarg4,
                                                       ProgressCallback jarg5)

    - #### Layer_Update__SWIG_2

          public static final int Layer_Update__SWIG_2​(long jarg1,
                                                       Layer jarg1_,
                                                       long jarg2,
                                                       Layer jarg2_,
                                                       long jarg3,
                                                       Layer jarg3_,
                                                       java.util.Vector jarg4)

    - #### Layer_Update__SWIG_3

          public static final int Layer_Update__SWIG_3​(long jarg1,
                                                       Layer jarg1_,
                                                       long jarg2,
                                                       Layer jarg2_,
                                                       long jarg3,
                                                       Layer jarg3_)

    - #### Layer_Clip__SWIG_0

          public static final int Layer_Clip__SWIG_0​(long jarg1,
                                                     Layer jarg1_,
                                                     long jarg2,
                                                     Layer jarg2_,
                                                     long jarg3,
                                                     Layer jarg3_,
                                                     java.util.Vector jarg4,
                                                     ProgressCallback jarg5)

    - #### Layer_Clip__SWIG_2

          public static final int Layer_Clip__SWIG_2​(long jarg1,
                                                     Layer jarg1_,
                                                     long jarg2,
                                                     Layer jarg2_,
                                                     long jarg3,
                                                     Layer jarg3_,
                                                     java.util.Vector jarg4)

    - #### Layer_Clip__SWIG_3

          public static final int Layer_Clip__SWIG_3​(long jarg1,
                                                     Layer jarg1_,
                                                     long jarg2,
                                                     Layer jarg2_,
                                                     long jarg3,
                                                     Layer jarg3_)

    - #### Layer_Erase__SWIG_0

          public static final int Layer_Erase__SWIG_0​(long jarg1,
                                                      Layer jarg1_,
                                                      long jarg2,
                                                      Layer jarg2_,
                                                      long jarg3,
                                                      Layer jarg3_,
                                                      java.util.Vector jarg4,
                                                      ProgressCallback jarg5)

    - #### Layer_Erase__SWIG_2

          public static final int Layer_Erase__SWIG_2​(long jarg1,
                                                      Layer jarg1_,
                                                      long jarg2,
                                                      Layer jarg2_,
                                                      long jarg3,
                                                      Layer jarg3_,
                                                      java.util.Vector jarg4)

    - #### Layer_Erase__SWIG_3

          public static final int Layer_Erase__SWIG_3​(long jarg1,
                                                      Layer jarg1_,
                                                      long jarg2,
                                                      Layer jarg2_,
                                                      long jarg3,
                                                      Layer jarg3_)

    - #### Layer_GetStyleTable

          public static final long Layer_GetStyleTable​(long jarg1,
                                                       Layer jarg1_)

    - #### Layer_SetStyleTable

          public static final void Layer_SetStyleTable​(long jarg1,
                                                       Layer jarg1_,
                                                       long jarg2,
                                                       StyleTable jarg2_)

    - #### delete_Feature

          public static final void delete_Feature​(long jarg1)

    - #### new_Feature

          public static final long new_Feature​(long jarg1,
                                               FeatureDefn jarg1_)

    - #### Feature_GetDefnRef

          public static final long Feature_GetDefnRef​(long jarg1,
                                                      Feature jarg1_)

    - #### Feature_SetGeometry

          public static final int Feature_SetGeometry​(long jarg1,
                                                      Feature jarg1_,
                                                      long jarg2,
                                                      Geometry jarg2_)

    - #### Feature_SetGeometryDirectly

          public static final int Feature_SetGeometryDirectly​(long jarg1,
                                                              Feature jarg1_,
                                                              long jarg2,
                                                              Geometry jarg2_)

    - #### Feature_GetGeometryRef

          public static final long Feature_GetGeometryRef​(long jarg1,
                                                          Feature jarg1_)

    - #### Feature_SetGeomField__SWIG_0

          public static final int Feature_SetGeomField__SWIG_0​(long jarg1,
                                                               Feature jarg1_,
                                                               int jarg2,
                                                               long jarg3,
                                                               Geometry jarg3_)

    - #### Feature_SetGeomField__SWIG_1

          public static final int Feature_SetGeomField__SWIG_1​(long jarg1,
                                                               Feature jarg1_,
                                                               java.lang.String jarg2,
                                                               long jarg3,
                                                               Geometry jarg3_)

    - #### Feature_SetGeomFieldDirectly__SWIG_0

          public static final int Feature_SetGeomFieldDirectly__SWIG_0​(long jarg1,
                                                                       Feature jarg1_,
                                                                       int jarg2,
                                                                       long jarg3,
                                                                       Geometry jarg3_)

    - #### Feature_SetGeomFieldDirectly__SWIG_1

          public static final int Feature_SetGeomFieldDirectly__SWIG_1​(long jarg1,
                                                                       Feature jarg1_,
                                                                       java.lang.String jarg2,
                                                                       long jarg3,
                                                                       Geometry jarg3_)

    - #### Feature_GetGeomFieldRef__SWIG_0

          public static final long Feature_GetGeomFieldRef__SWIG_0​(long jarg1,
                                                                   Feature jarg1_,
                                                                   int jarg2)

    - #### Feature_GetGeomFieldRef__SWIG_1

          public static final long Feature_GetGeomFieldRef__SWIG_1​(long jarg1,
                                                                   Feature jarg1_,
                                                                   java.lang.String jarg2)

    - #### Feature_Clone

          public static final long Feature_Clone​(long jarg1,
                                                 Feature jarg1_)

    - #### Feature_Equal

          public static final boolean Feature_Equal​(long jarg1,
                                                    Feature jarg1_,
                                                    long jarg2,
                                                    Feature jarg2_)

    - #### Feature_GetFieldCount

          public static final int Feature_GetFieldCount​(long jarg1,
                                                        Feature jarg1_)

    - #### Feature_GetFieldDefnRef__SWIG_0

          public static final long Feature_GetFieldDefnRef__SWIG_0​(long jarg1,
                                                                   Feature jarg1_,
                                                                   int jarg2)

    - #### Feature_GetFieldDefnRef__SWIG_1

          public static final long Feature_GetFieldDefnRef__SWIG_1​(long jarg1,
                                                                   Feature jarg1_,
                                                                   java.lang.String jarg2)

    - #### Feature_GetGeomFieldCount

          public static final int Feature_GetGeomFieldCount​(long jarg1,
                                                            Feature jarg1_)

    - #### Feature_GetGeomFieldDefnRef__SWIG_0

          public static final long Feature_GetGeomFieldDefnRef__SWIG_0​(long jarg1,
                                                                       Feature jarg1_,
                                                                       int jarg2)

    - #### Feature_GetGeomFieldDefnRef__SWIG_1

          public static final long Feature_GetGeomFieldDefnRef__SWIG_1​(long jarg1,
                                                                       Feature jarg1_,
                                                                       java.lang.String jarg2)

    - #### Feature_GetFieldAsString__SWIG_0

          public static final java.lang.String Feature_GetFieldAsString__SWIG_0​(long jarg1,
                                                                                Feature jarg1_,
                                                                                int jarg2)

    - #### Feature_GetFieldAsString__SWIG_1

          public static final java.lang.String Feature_GetFieldAsString__SWIG_1​(long jarg1,
                                                                                Feature jarg1_,
                                                                                java.lang.String jarg2)

    - #### Feature_GetFieldAsInteger__SWIG_0

          public static final int Feature_GetFieldAsInteger__SWIG_0​(long jarg1,
                                                                    Feature jarg1_,
                                                                    int jarg2)

    - #### Feature_GetFieldAsInteger__SWIG_1

          public static final int Feature_GetFieldAsInteger__SWIG_1​(long jarg1,
                                                                    Feature jarg1_,
                                                                    java.lang.String jarg2)

    - #### Feature_GetFieldAsInteger64__SWIG_0

          public static final long Feature_GetFieldAsInteger64__SWIG_0​(long jarg1,
                                                                       Feature jarg1_,
                                                                       int jarg2)

    - #### Feature_GetFieldAsInteger64__SWIG_1

          public static final long Feature_GetFieldAsInteger64__SWIG_1​(long jarg1,
                                                                       Feature jarg1_,
                                                                       java.lang.String jarg2)

    - #### Feature_GetFieldAsDouble__SWIG_0

          public static final double Feature_GetFieldAsDouble__SWIG_0​(long jarg1,
                                                                      Feature jarg1_,
                                                                      int jarg2)

    - #### Feature_GetFieldAsDouble__SWIG_1

          public static final double Feature_GetFieldAsDouble__SWIG_1​(long jarg1,
                                                                      Feature jarg1_,
                                                                      java.lang.String jarg2)

    - #### Feature_GetFieldAsDateTime__SWIG_0

          public static final void Feature_GetFieldAsDateTime__SWIG_0​(long jarg1,
                                                                      Feature jarg1_,
                                                                      int jarg2,
                                                                      int[] jarg3,
                                                                      int[] jarg4,
                                                                      int[] jarg5,
                                                                      int[] jarg6,
                                                                      int[] jarg7,
                                                                      float[] jarg8,
                                                                      int[] jarg9)

    - #### Feature_GetFieldAsDateTime__SWIG_1

          public static final void Feature_GetFieldAsDateTime__SWIG_1​(long jarg1,
                                                                      Feature jarg1_,
                                                                      java.lang.String jarg2,
                                                                      int[] jarg3,
                                                                      int[] jarg4,
                                                                      int[] jarg5,
                                                                      int[] jarg6,
                                                                      int[] jarg7,
                                                                      float[] jarg8,
                                                                      int[] jarg9)

    - #### Feature_GetFieldAsIntegerList

          public static final int[] Feature_GetFieldAsIntegerList​(long jarg1,
                                                                  Feature jarg1_,
                                                                  int jarg2)

    - #### Feature_GetFieldAsDoubleList

          public static final double[] Feature_GetFieldAsDoubleList​(long jarg1,
                                                                    Feature jarg1_,
                                                                    int jarg2)

    - #### Feature_GetFieldAsStringList

          public static final java.lang.String[] Feature_GetFieldAsStringList​(long jarg1,
                                                                              Feature jarg1_,
                                                                              int jarg2)

    - #### Feature_GetFieldAsBinary__SWIG_0

          public static final byte[] Feature_GetFieldAsBinary__SWIG_0​(long jarg1,
                                                                      Feature jarg1_,
                                                                      int jarg2)

    - #### Feature_GetFieldAsBinary__SWIG_1

          public static final byte[] Feature_GetFieldAsBinary__SWIG_1​(long jarg1,
                                                                      Feature jarg1_,
                                                                      java.lang.String jarg2)

    - #### Feature_IsFieldSet__SWIG_0

          public static final boolean Feature_IsFieldSet__SWIG_0​(long jarg1,
                                                                 Feature jarg1_,
                                                                 int jarg2)

    - #### Feature_IsFieldSet__SWIG_1

          public static final boolean Feature_IsFieldSet__SWIG_1​(long jarg1,
                                                                 Feature jarg1_,
                                                                 java.lang.String jarg2)

    - #### Feature_IsFieldNull__SWIG_0

          public static final boolean Feature_IsFieldNull__SWIG_0​(long jarg1,
                                                                  Feature jarg1_,
                                                                  int jarg2)

    - #### Feature_IsFieldNull__SWIG_1

          public static final boolean Feature_IsFieldNull__SWIG_1​(long jarg1,
                                                                  Feature jarg1_,
                                                                  java.lang.String jarg2)

    - #### Feature_IsFieldSetAndNotNull__SWIG_0

          public static final boolean Feature_IsFieldSetAndNotNull__SWIG_0​(long jarg1,
                                                                           Feature jarg1_,
                                                                           int jarg2)

    - #### Feature_IsFieldSetAndNotNull__SWIG_1

          public static final boolean Feature_IsFieldSetAndNotNull__SWIG_1​(long jarg1,
                                                                           Feature jarg1_,
                                                                           java.lang.String jarg2)

    - #### Feature_GetFieldIndex

          public static final int Feature_GetFieldIndex​(long jarg1,
                                                        Feature jarg1_,
                                                        java.lang.String jarg2)

    - #### Feature_GetGeomFieldIndex

          public static final int Feature_GetGeomFieldIndex​(long jarg1,
                                                            Feature jarg1_,
                                                            java.lang.String jarg2)

    - #### Feature_GetFID

          public static final long Feature_GetFID​(long jarg1,
                                                  Feature jarg1_)

    - #### Feature_SetFID

          public static final int Feature_SetFID​(long jarg1,
                                                 Feature jarg1_,
                                                 long jarg2)

    - #### Feature_DumpReadable

          public static final void Feature_DumpReadable​(long jarg1,
                                                        Feature jarg1_)

    - #### Feature_UnsetField__SWIG_0

          public static final void Feature_UnsetField__SWIG_0​(long jarg1,
                                                              Feature jarg1_,
                                                              int jarg2)

    - #### Feature_UnsetField__SWIG_1

          public static final void Feature_UnsetField__SWIG_1​(long jarg1,
                                                              Feature jarg1_,
                                                              java.lang.String jarg2)

    - #### Feature_SetFieldNull__SWIG_0

          public static final void Feature_SetFieldNull__SWIG_0​(long jarg1,
                                                                Feature jarg1_,
                                                                int jarg2)

    - #### Feature_SetFieldNull__SWIG_1

          public static final void Feature_SetFieldNull__SWIG_1​(long jarg1,
                                                                Feature jarg1_,
                                                                java.lang.String jarg2)

    - #### Feature_SetField__SWIG_0

          public static final void Feature_SetField__SWIG_0​(long jarg1,
                                                            Feature jarg1_,
                                                            int jarg2,
                                                            java.lang.String jarg3)

    - #### Feature_SetField__SWIG_1

          public static final void Feature_SetField__SWIG_1​(long jarg1,
                                                            Feature jarg1_,
                                                            java.lang.String jarg2,
                                                            java.lang.String jarg3)

    - #### Feature_SetFieldInteger64

          public static final void Feature_SetFieldInteger64​(long jarg1,
                                                             Feature jarg1_,
                                                             int jarg2,
                                                             long jarg3)

    - #### Feature_SetField__SWIG_2

          public static final void Feature_SetField__SWIG_2​(long jarg1,
                                                            Feature jarg1_,
                                                            int jarg2,
                                                            int jarg3)

    - #### Feature_SetField__SWIG_3

          public static final void Feature_SetField__SWIG_3​(long jarg1,
                                                            Feature jarg1_,
                                                            java.lang.String jarg2,
                                                            int jarg3)

    - #### Feature_SetField__SWIG_4

          public static final void Feature_SetField__SWIG_4​(long jarg1,
                                                            Feature jarg1_,
                                                            int jarg2,
                                                            double jarg3)

    - #### Feature_SetField__SWIG_5

          public static final void Feature_SetField__SWIG_5​(long jarg1,
                                                            Feature jarg1_,
                                                            java.lang.String jarg2,
                                                            double jarg3)

    - #### Feature_SetField__SWIG_6

          public static final void Feature_SetField__SWIG_6​(long jarg1,
                                                            Feature jarg1_,
                                                            int jarg2,
                                                            int jarg3,
                                                            int jarg4,
                                                            int jarg5,
                                                            int jarg6,
                                                            int jarg7,
                                                            float jarg8,
                                                            int jarg9)

    - #### Feature_SetField__SWIG_7

          public static final void Feature_SetField__SWIG_7​(long jarg1,
                                                            Feature jarg1_,
                                                            java.lang.String jarg2,
                                                            int jarg3,
                                                            int jarg4,
                                                            int jarg5,
                                                            int jarg6,
                                                            int jarg7,
                                                            float jarg8,
                                                            int jarg9)

    - #### Feature_SetFieldIntegerList

          public static final void Feature_SetFieldIntegerList​(long jarg1,
                                                               Feature jarg1_,
                                                               int jarg2,
                                                               int[] jarg3)

    - #### Feature_SetFieldDoubleList

          public static final void Feature_SetFieldDoubleList​(long jarg1,
                                                              Feature jarg1_,
                                                              int jarg2,
                                                              double[] jarg3)

    - #### Feature_SetFieldStringList

          public static final void Feature_SetFieldStringList​(long jarg1,
                                                              Feature jarg1_,
                                                              int jarg2,
                                                              java.util.Vector jarg3)

    - #### Feature_SetFieldBinaryFromHexString__SWIG_0

          public static final void Feature_SetFieldBinaryFromHexString__SWIG_0​(long jarg1,
                                                                               Feature jarg1_,
                                                                               int jarg2,
                                                                               java.lang.String jarg3)

    - #### Feature_SetFieldBinaryFromHexString__SWIG_1

          public static final void Feature_SetFieldBinaryFromHexString__SWIG_1​(long jarg1,
                                                                               Feature jarg1_,
                                                                               java.lang.String jarg2,
                                                                               java.lang.String jarg3)

    - #### Feature_SetFrom__SWIG_0

          public static final int Feature_SetFrom__SWIG_0​(long jarg1,
                                                          Feature jarg1_,
                                                          long jarg2,
                                                          Feature jarg2_,
                                                          int jarg3)

    - #### Feature_SetFrom__SWIG_1

          public static final int Feature_SetFrom__SWIG_1​(long jarg1,
                                                          Feature jarg1_,
                                                          long jarg2,
                                                          Feature jarg2_)

    - #### Feature_SetFromWithMap

          public static final int Feature_SetFromWithMap​(long jarg1,
                                                         Feature jarg1_,
                                                         long jarg2,
                                                         Feature jarg2_,
                                                         int jarg3,
                                                         int[] jarg4)

    - #### Feature_GetStyleString

          public static final java.lang.String Feature_GetStyleString​(long jarg1,
                                                                      Feature jarg1_)

    - #### Feature_SetStyleString

          public static final void Feature_SetStyleString​(long jarg1,
                                                          Feature jarg1_,
                                                          java.lang.String jarg2)

    - #### Feature_GetFieldType__SWIG_0

          public static final int Feature_GetFieldType__SWIG_0​(long jarg1,
                                                               Feature jarg1_,
                                                               int jarg2)

    - #### Feature_GetFieldType__SWIG_1

          public static final int Feature_GetFieldType__SWIG_1​(long jarg1,
                                                               Feature jarg1_,
                                                               java.lang.String jarg2)

    - #### Feature_Validate__SWIG_0

          public static final int Feature_Validate__SWIG_0​(long jarg1,
                                                           Feature jarg1_,
                                                           int jarg2,
                                                           int jarg3)

    - #### Feature_Validate__SWIG_1

          public static final int Feature_Validate__SWIG_1​(long jarg1,
                                                           Feature jarg1_,
                                                           int jarg2)

    - #### Feature_Validate__SWIG_2

          public static final int Feature_Validate__SWIG_2​(long jarg1,
                                                           Feature jarg1_)

    - #### Feature_FillUnsetWithDefault__SWIG_0

          public static final void Feature_FillUnsetWithDefault__SWIG_0​(long jarg1,
                                                                        Feature jarg1_,
                                                                        int jarg2,
                                                                        java.util.Vector jarg3)

    - #### Feature_FillUnsetWithDefault__SWIG_1

          public static final void Feature_FillUnsetWithDefault__SWIG_1​(long jarg1,
                                                                        Feature jarg1_,
                                                                        int jarg2)

    - #### Feature_FillUnsetWithDefault__SWIG_2

          public static final void Feature_FillUnsetWithDefault__SWIG_2​(long jarg1,
                                                                        Feature jarg1_)

    - #### Feature_GetNativeData

          public static final java.lang.String Feature_GetNativeData​(long jarg1,
                                                                     Feature jarg1_)

    - #### Feature_GetNativeMediaType

          public static final java.lang.String Feature_GetNativeMediaType​(long jarg1,
                                                                          Feature jarg1_)

    - #### Feature_SetNativeData

          public static final void Feature_SetNativeData​(long jarg1,
                                                         Feature jarg1_,
                                                         java.lang.String jarg2)

    - #### Feature_SetNativeMediaType

          public static final void Feature_SetNativeMediaType​(long jarg1,
                                                              Feature jarg1_,
                                                              java.lang.String jarg2)

    - #### delete_FeatureDefn

          public static final void delete_FeatureDefn​(long jarg1)

    - #### new_FeatureDefn__SWIG_0

          public static final long new_FeatureDefn__SWIG_0​(java.lang.String jarg1)

    - #### new_FeatureDefn__SWIG_1

          public static final long new_FeatureDefn__SWIG_1​()

    - #### FeatureDefn_GetName

          public static final java.lang.String FeatureDefn_GetName​(long jarg1,
                                                                   FeatureDefn jarg1_)

    - #### FeatureDefn_GetFieldCount

          public static final int FeatureDefn_GetFieldCount​(long jarg1,
                                                            FeatureDefn jarg1_)

    - #### FeatureDefn_GetFieldDefn

          public static final long FeatureDefn_GetFieldDefn​(long jarg1,
                                                            FeatureDefn jarg1_,
                                                            int jarg2)

    - #### FeatureDefn_GetFieldIndex

          public static final int FeatureDefn_GetFieldIndex​(long jarg1,
                                                            FeatureDefn jarg1_,
                                                            java.lang.String jarg2)

    - #### FeatureDefn_AddFieldDefn

          public static final void FeatureDefn_AddFieldDefn​(long jarg1,
                                                            FeatureDefn jarg1_,
                                                            long jarg2,
                                                            FieldDefn jarg2_)

    - #### FeatureDefn_GetGeomFieldCount

          public static final int FeatureDefn_GetGeomFieldCount​(long jarg1,
                                                                FeatureDefn jarg1_)

    - #### FeatureDefn_GetGeomFieldDefn

          public static final long FeatureDefn_GetGeomFieldDefn​(long jarg1,
                                                                FeatureDefn jarg1_,
                                                                int jarg2)

    - #### FeatureDefn_GetGeomFieldIndex

          public static final int FeatureDefn_GetGeomFieldIndex​(long jarg1,
                                                                FeatureDefn jarg1_,
                                                                java.lang.String jarg2)

    - #### FeatureDefn_AddGeomFieldDefn

          public static final void FeatureDefn_AddGeomFieldDefn​(long jarg1,
                                                                FeatureDefn jarg1_,
                                                                long jarg2,
                                                                GeomFieldDefn jarg2_)

    - #### FeatureDefn_DeleteGeomFieldDefn

          public static final int FeatureDefn_DeleteGeomFieldDefn​(long jarg1,
                                                                  FeatureDefn jarg1_,
                                                                  int jarg2)

    - #### FeatureDefn_GetGeomType

          public static final int FeatureDefn_GetGeomType​(long jarg1,
                                                          FeatureDefn jarg1_)

    - #### FeatureDefn_SetGeomType

          public static final void FeatureDefn_SetGeomType​(long jarg1,
                                                           FeatureDefn jarg1_,
                                                           int jarg2)

    - #### FeatureDefn_GetReferenceCount

          public static final int FeatureDefn_GetReferenceCount​(long jarg1,
                                                                FeatureDefn jarg1_)

    - #### FeatureDefn_IsGeometryIgnored

          public static final int FeatureDefn_IsGeometryIgnored​(long jarg1,
                                                                FeatureDefn jarg1_)

    - #### FeatureDefn_SetGeometryIgnored

          public static final void FeatureDefn_SetGeometryIgnored​(long jarg1,
                                                                  FeatureDefn jarg1_,
                                                                  int jarg2)

    - #### FeatureDefn_IsStyleIgnored

          public static final int FeatureDefn_IsStyleIgnored​(long jarg1,
                                                             FeatureDefn jarg1_)

    - #### FeatureDefn_SetStyleIgnored

          public static final void FeatureDefn_SetStyleIgnored​(long jarg1,
                                                               FeatureDefn jarg1_,
                                                               int jarg2)

    - #### FeatureDefn_IsSame

          public static final int FeatureDefn_IsSame​(long jarg1,
                                                     FeatureDefn jarg1_,
                                                     long jarg2,
                                                     FeatureDefn jarg2_)

    - #### delete_FieldDefn

          public static final void delete_FieldDefn​(long jarg1)

    - #### new_FieldDefn__SWIG_0

          public static final long new_FieldDefn__SWIG_0​(java.lang.String jarg1,
                                                         int jarg2)

    - #### new_FieldDefn__SWIG_1

          public static final long new_FieldDefn__SWIG_1​(java.lang.String jarg1)

    - #### new_FieldDefn__SWIG_2

          public static final long new_FieldDefn__SWIG_2​()

    - #### FieldDefn_GetName

          public static final java.lang.String FieldDefn_GetName​(long jarg1,
                                                                 FieldDefn jarg1_)

    - #### FieldDefn_GetNameRef

          public static final java.lang.String FieldDefn_GetNameRef​(long jarg1,
                                                                    FieldDefn jarg1_)

    - #### FieldDefn_SetName

          public static final void FieldDefn_SetName​(long jarg1,
                                                     FieldDefn jarg1_,
                                                     java.lang.String jarg2)

    - #### FieldDefn_GetAlternativeName

          public static final java.lang.String FieldDefn_GetAlternativeName​(long jarg1,
                                                                            FieldDefn jarg1_)

    - #### FieldDefn_GetAlternativeNameRef

          public static final java.lang.String FieldDefn_GetAlternativeNameRef​(long jarg1,
                                                                               FieldDefn jarg1_)

    - #### FieldDefn_SetAlternativeName

          public static final void FieldDefn_SetAlternativeName​(long jarg1,
                                                                FieldDefn jarg1_,
                                                                java.lang.String jarg2)

    - #### FieldDefn_GetFieldType

          public static final int FieldDefn_GetFieldType​(long jarg1,
                                                         FieldDefn jarg1_)

    - #### FieldDefn_SetType

          public static final void FieldDefn_SetType​(long jarg1,
                                                     FieldDefn jarg1_,
                                                     int jarg2)

    - #### FieldDefn_GetSubType

          public static final int FieldDefn_GetSubType​(long jarg1,
                                                       FieldDefn jarg1_)

    - #### FieldDefn_SetSubType

          public static final void FieldDefn_SetSubType​(long jarg1,
                                                        FieldDefn jarg1_,
                                                        int jarg2)

    - #### FieldDefn_GetJustify

          public static final int FieldDefn_GetJustify​(long jarg1,
                                                       FieldDefn jarg1_)

    - #### FieldDefn_SetJustify

          public static final void FieldDefn_SetJustify​(long jarg1,
                                                        FieldDefn jarg1_,
                                                        int jarg2)

    - #### FieldDefn_GetWidth

          public static final int FieldDefn_GetWidth​(long jarg1,
                                                     FieldDefn jarg1_)

    - #### FieldDefn_SetWidth

          public static final void FieldDefn_SetWidth​(long jarg1,
                                                      FieldDefn jarg1_,
                                                      int jarg2)

    - #### FieldDefn_GetPrecision

          public static final int FieldDefn_GetPrecision​(long jarg1,
                                                         FieldDefn jarg1_)

    - #### FieldDefn_SetPrecision

          public static final void FieldDefn_SetPrecision​(long jarg1,
                                                          FieldDefn jarg1_,
                                                          int jarg2)

    - #### FieldDefn_GetTypeName

          public static final java.lang.String FieldDefn_GetTypeName​(long jarg1,
                                                                     FieldDefn jarg1_)

    - #### FieldDefn_GetFieldTypeName

          public static final java.lang.String FieldDefn_GetFieldTypeName​(long jarg1,
                                                                          FieldDefn jarg1_,
                                                                          int jarg2)

    - #### FieldDefn_IsIgnored

          public static final int FieldDefn_IsIgnored​(long jarg1,
                                                      FieldDefn jarg1_)

    - #### FieldDefn_SetIgnored

          public static final void FieldDefn_SetIgnored​(long jarg1,
                                                        FieldDefn jarg1_,
                                                        int jarg2)

    - #### FieldDefn_IsNullable

          public static final int FieldDefn_IsNullable​(long jarg1,
                                                       FieldDefn jarg1_)

    - #### FieldDefn_SetNullable

          public static final void FieldDefn_SetNullable​(long jarg1,
                                                         FieldDefn jarg1_,
                                                         int jarg2)

    - #### FieldDefn_IsUnique

          public static final int FieldDefn_IsUnique​(long jarg1,
                                                     FieldDefn jarg1_)

    - #### FieldDefn_SetUnique

          public static final void FieldDefn_SetUnique​(long jarg1,
                                                       FieldDefn jarg1_,
                                                       int jarg2)

    - #### FieldDefn_GetDefault

          public static final java.lang.String FieldDefn_GetDefault​(long jarg1,
                                                                    FieldDefn jarg1_)

    - #### FieldDefn_SetDefault

          public static final void FieldDefn_SetDefault​(long jarg1,
                                                        FieldDefn jarg1_,
                                                        java.lang.String jarg2)

    - #### FieldDefn_IsDefaultDriverSpecific

          public static final int FieldDefn_IsDefaultDriverSpecific​(long jarg1,
                                                                    FieldDefn jarg1_)

    - #### delete_GeomFieldDefn

          public static final void delete_GeomFieldDefn​(long jarg1)

    - #### new_GeomFieldDefn__SWIG_0

          public static final long new_GeomFieldDefn__SWIG_0​(java.lang.String jarg1,
                                                             int jarg2)

    - #### new_GeomFieldDefn__SWIG_1

          public static final long new_GeomFieldDefn__SWIG_1​(java.lang.String jarg1)

    - #### new_GeomFieldDefn__SWIG_2

          public static final long new_GeomFieldDefn__SWIG_2​()

    - #### GeomFieldDefn_GetName

          public static final java.lang.String GeomFieldDefn_GetName​(long jarg1,
                                                                     GeomFieldDefn jarg1_)

    - #### GeomFieldDefn_GetNameRef

          public static final java.lang.String GeomFieldDefn_GetNameRef​(long jarg1,
                                                                        GeomFieldDefn jarg1_)

    - #### GeomFieldDefn_SetName

          public static final void GeomFieldDefn_SetName​(long jarg1,
                                                         GeomFieldDefn jarg1_,
                                                         java.lang.String jarg2)

    - #### GeomFieldDefn_GetFieldType

          public static final int GeomFieldDefn_GetFieldType​(long jarg1,
                                                             GeomFieldDefn jarg1_)

    - #### GeomFieldDefn_SetType

          public static final void GeomFieldDefn_SetType​(long jarg1,
                                                         GeomFieldDefn jarg1_,
                                                         int jarg2)

    - #### GeomFieldDefn_GetSpatialRef

          public static final long GeomFieldDefn_GetSpatialRef​(long jarg1,
                                                               GeomFieldDefn jarg1_)

    - #### GeomFieldDefn_SetSpatialRef

          public static final void GeomFieldDefn_SetSpatialRef​(long jarg1,
                                                               GeomFieldDefn jarg1_,
                                                               long jarg2,
                                                               SpatialReference jarg2_)

    - #### GeomFieldDefn_IsIgnored

          public static final int GeomFieldDefn_IsIgnored​(long jarg1,
                                                          GeomFieldDefn jarg1_)

    - #### GeomFieldDefn_SetIgnored

          public static final void GeomFieldDefn_SetIgnored​(long jarg1,
                                                            GeomFieldDefn jarg1_,
                                                            int jarg2)

    - #### GeomFieldDefn_IsNullable

          public static final int GeomFieldDefn_IsNullable​(long jarg1,
                                                           GeomFieldDefn jarg1_)

    - #### GeomFieldDefn_SetNullable

          public static final void GeomFieldDefn_SetNullable​(long jarg1,
                                                             GeomFieldDefn jarg1_,
                                                             int jarg2)

    - #### CreateGeometryFromWkb__SWIG_0

          public static final long CreateGeometryFromWkb__SWIG_0​(byte[] jarg1,
                                                                 long jarg3,
                                                                 SpatialReference jarg3_)

    - #### CreateGeometryFromWkb__SWIG_1

          public static final long CreateGeometryFromWkb__SWIG_1​(byte[] jarg1)

    - #### CreateGeometryFromWkt__SWIG_0

          public static final long CreateGeometryFromWkt__SWIG_0​(java.lang.String jarg1,
                                                                 long jarg2,
                                                                 SpatialReference jarg2_)

    - #### CreateGeometryFromWkt__SWIG_1

          public static final long CreateGeometryFromWkt__SWIG_1​(java.lang.String jarg1)

    - #### CreateGeometryFromGML

          public static final long CreateGeometryFromGML​(java.lang.String jarg1)

    - #### CreateGeometryFromJson

          public static final long CreateGeometryFromJson​(java.lang.String jarg1)

    - #### CreateGeometryFromEsriJson

          public static final long CreateGeometryFromEsriJson​(java.lang.String jarg1)

    - #### BuildPolygonFromEdges__SWIG_0

          public static final long BuildPolygonFromEdges__SWIG_0​(long jarg1,
                                                                 Geometry jarg1_,
                                                                 int jarg2,
                                                                 int jarg3,
                                                                 double jarg4)

    - #### BuildPolygonFromEdges__SWIG_1

          public static final long BuildPolygonFromEdges__SWIG_1​(long jarg1,
                                                                 Geometry jarg1_,
                                                                 int jarg2,
                                                                 int jarg3)

    - #### BuildPolygonFromEdges__SWIG_2

          public static final long BuildPolygonFromEdges__SWIG_2​(long jarg1,
                                                                 Geometry jarg1_,
                                                                 int jarg2)

    - #### BuildPolygonFromEdges__SWIG_3

          public static final long BuildPolygonFromEdges__SWIG_3​(long jarg1,
                                                                 Geometry jarg1_)

    - #### ApproximateArcAngles

          public static final long ApproximateArcAngles​(double jarg1,
                                                        double jarg2,
                                                        double jarg3,
                                                        double jarg4,
                                                        double jarg5,
                                                        double jarg6,
                                                        double jarg7,
                                                        double jarg8,
                                                        double jarg9)

    - #### ForceToPolygon

          public static final long ForceToPolygon​(long jarg1,
                                                  Geometry jarg1_)

    - #### ForceToLineString

          public static final long ForceToLineString​(long jarg1,
                                                     Geometry jarg1_)

    - #### ForceToMultiPolygon

          public static final long ForceToMultiPolygon​(long jarg1,
                                                       Geometry jarg1_)

    - #### ForceToMultiPoint

          public static final long ForceToMultiPoint​(long jarg1,
                                                     Geometry jarg1_)

    - #### ForceToMultiLineString

          public static final long ForceToMultiLineString​(long jarg1,
                                                          Geometry jarg1_)

    - #### ForceTo__SWIG_0

          public static final long ForceTo__SWIG_0​(long jarg1,
                                                   Geometry jarg1_,
                                                   int jarg2,
                                                   java.util.Vector jarg3)

    - #### ForceTo__SWIG_1

          public static final long ForceTo__SWIG_1​(long jarg1,
                                                   Geometry jarg1_,
                                                   int jarg2)

    - #### delete_Geometry

          public static final void delete_Geometry​(long jarg1)

    - #### Geometry_ExportToWkt__SWIG_0

          public static final int Geometry_ExportToWkt__SWIG_0​(long jarg1,
                                                               Geometry jarg1_,
                                                               java.lang.String[] jarg2)

    - #### Geometry_ExportToIsoWkt

          public static final int Geometry_ExportToIsoWkt​(long jarg1,
                                                          Geometry jarg1_,
                                                          java.lang.String[] jarg2)

    - #### Geometry_ExportToWkb__SWIG_0

          public static final byte[] Geometry_ExportToWkb__SWIG_0​(long jarg1,
                                                                  Geometry jarg1_,
                                                                  int jarg4)

    - #### Geometry_ExportToWkb__SWIG_1

          public static final byte[] Geometry_ExportToWkb__SWIG_1​(long jarg1,
                                                                  Geometry jarg1_)

    - #### Geometry_ExportToIsoWkb__SWIG_0

          public static final byte[] Geometry_ExportToIsoWkb__SWIG_0​(long jarg1,
                                                                     Geometry jarg1_,
                                                                     int jarg4)

    - #### Geometry_ExportToIsoWkb__SWIG_1

          public static final byte[] Geometry_ExportToIsoWkb__SWIG_1​(long jarg1,
                                                                     Geometry jarg1_)

    - #### Geometry_ExportToGML__SWIG_0

          public static final java.lang.String Geometry_ExportToGML__SWIG_0​(long jarg1,
                                                                            Geometry jarg1_,
                                                                            java.util.Vector jarg2)

    - #### Geometry_ExportToGML__SWIG_1

          public static final java.lang.String Geometry_ExportToGML__SWIG_1​(long jarg1,
                                                                            Geometry jarg1_)

    - #### Geometry_ExportToKML__SWIG_0

          public static final java.lang.String Geometry_ExportToKML__SWIG_0​(long jarg1,
                                                                            Geometry jarg1_,
                                                                            java.lang.String jarg2)

    - #### Geometry_ExportToKML__SWIG_1

          public static final java.lang.String Geometry_ExportToKML__SWIG_1​(long jarg1,
                                                                            Geometry jarg1_)

    - #### Geometry_ExportToJson__SWIG_0

          public static final java.lang.String Geometry_ExportToJson__SWIG_0​(long jarg1,
                                                                             Geometry jarg1_,
                                                                             java.util.Vector jarg2)

    - #### Geometry_ExportToJson__SWIG_1

          public static final java.lang.String Geometry_ExportToJson__SWIG_1​(long jarg1,
                                                                             Geometry jarg1_)

    - #### Geometry_AddPoint__SWIG_0

          public static final void Geometry_AddPoint__SWIG_0​(long jarg1,
                                                             Geometry jarg1_,
                                                             double jarg2,
                                                             double jarg3,
                                                             double jarg4)

    - #### Geometry_AddPoint__SWIG_1

          public static final void Geometry_AddPoint__SWIG_1​(long jarg1,
                                                             Geometry jarg1_,
                                                             double jarg2,
                                                             double jarg3)

    - #### Geometry_AddPointM

          public static final void Geometry_AddPointM​(long jarg1,
                                                      Geometry jarg1_,
                                                      double jarg2,
                                                      double jarg3,
                                                      double jarg4)

    - #### Geometry_AddPointZM

          public static final void Geometry_AddPointZM​(long jarg1,
                                                       Geometry jarg1_,
                                                       double jarg2,
                                                       double jarg3,
                                                       double jarg4,
                                                       double jarg5)

    - #### Geometry_AddPoint_2D

          public static final void Geometry_AddPoint_2D​(long jarg1,
                                                        Geometry jarg1_,
                                                        double jarg2,
                                                        double jarg3)

    - #### Geometry_AddGeometryDirectly

          public static final int Geometry_AddGeometryDirectly​(long jarg1,
                                                               Geometry jarg1_,
                                                               long jarg2,
                                                               Geometry jarg2_)

    - #### Geometry_AddGeometry

          public static final int Geometry_AddGeometry​(long jarg1,
                                                       Geometry jarg1_,
                                                       long jarg2,
                                                       Geometry jarg2_)

    - #### Geometry_RemoveGeometry

          public static final int Geometry_RemoveGeometry​(long jarg1,
                                                          Geometry jarg1_,
                                                          int jarg2)

    - #### Geometry_Clone

          public static final long Geometry_Clone​(long jarg1,
                                                  Geometry jarg1_)

    - #### Geometry_GetGeometryType

          public static final int Geometry_GetGeometryType​(long jarg1,
                                                           Geometry jarg1_)

    - #### Geometry_GetGeometryName

          public static final java.lang.String Geometry_GetGeometryName​(long jarg1,
                                                                        Geometry jarg1_)

    - #### Geometry_Length

          public static final double Geometry_Length​(long jarg1,
                                                     Geometry jarg1_)

    - #### Geometry_Area

          public static final double Geometry_Area​(long jarg1,
                                                   Geometry jarg1_)

    - #### Geometry_GetArea

          public static final double Geometry_GetArea​(long jarg1,
                                                      Geometry jarg1_)

    - #### Geometry_GetPointCount

          public static final int Geometry_GetPointCount​(long jarg1,
                                                         Geometry jarg1_)

    - #### Geometry_GetPoints__SWIG_0

          public static final double[][] Geometry_GetPoints__SWIG_0​(long jarg1,
                                                                    Geometry jarg1_,
                                                                    int jarg5)

    - #### Geometry_GetPoints__SWIG_1

          public static final double[][] Geometry_GetPoints__SWIG_1​(long jarg1,
                                                                    Geometry jarg1_)

    - #### Geometry_GetX__SWIG_0

          public static final double Geometry_GetX__SWIG_0​(long jarg1,
                                                           Geometry jarg1_,
                                                           int jarg2)

    - #### Geometry_GetX__SWIG_1

          public static final double Geometry_GetX__SWIG_1​(long jarg1,
                                                           Geometry jarg1_)

    - #### Geometry_GetY__SWIG_0

          public static final double Geometry_GetY__SWIG_0​(long jarg1,
                                                           Geometry jarg1_,
                                                           int jarg2)

    - #### Geometry_GetY__SWIG_1

          public static final double Geometry_GetY__SWIG_1​(long jarg1,
                                                           Geometry jarg1_)

    - #### Geometry_GetZ__SWIG_0

          public static final double Geometry_GetZ__SWIG_0​(long jarg1,
                                                           Geometry jarg1_,
                                                           int jarg2)

    - #### Geometry_GetZ__SWIG_1

          public static final double Geometry_GetZ__SWIG_1​(long jarg1,
                                                           Geometry jarg1_)

    - #### Geometry_GetM__SWIG_0

          public static final double Geometry_GetM__SWIG_0​(long jarg1,
                                                           Geometry jarg1_,
                                                           int jarg2)

    - #### Geometry_GetM__SWIG_1

          public static final double Geometry_GetM__SWIG_1​(long jarg1,
                                                           Geometry jarg1_)

    - #### Geometry_GetPoint

          public static final void Geometry_GetPoint​(long jarg1,
                                                     Geometry jarg1_,
                                                     int jarg2,
                                                     double[] jarg3)

    - #### Geometry_GetPointZM

          public static final void Geometry_GetPointZM​(long jarg1,
                                                       Geometry jarg1_,
                                                       int jarg2,
                                                       double[] jarg3)

    - #### Geometry_GetPoint_2D

          public static final void Geometry_GetPoint_2D​(long jarg1,
                                                        Geometry jarg1_,
                                                        int jarg2,
                                                        double[] jarg3)

    - #### Geometry_GetGeometryCount

          public static final int Geometry_GetGeometryCount​(long jarg1,
                                                            Geometry jarg1_)

    - #### Geometry_SetPoint__SWIG_0

          public static final void Geometry_SetPoint__SWIG_0​(long jarg1,
                                                             Geometry jarg1_,
                                                             int jarg2,
                                                             double jarg3,
                                                             double jarg4,
                                                             double jarg5)

    - #### Geometry_SetPoint__SWIG_1

          public static final void Geometry_SetPoint__SWIG_1​(long jarg1,
                                                             Geometry jarg1_,
                                                             int jarg2,
                                                             double jarg3,
                                                             double jarg4)

    - #### Geometry_SetPointM

          public static final void Geometry_SetPointM​(long jarg1,
                                                      Geometry jarg1_,
                                                      int jarg2,
                                                      double jarg3,
                                                      double jarg4,
                                                      double jarg5)

    - #### Geometry_SetPointZM

          public static final void Geometry_SetPointZM​(long jarg1,
                                                       Geometry jarg1_,
                                                       int jarg2,
                                                       double jarg3,
                                                       double jarg4,
                                                       double jarg5,
                                                       double jarg6)

    - #### Geometry_SetPoint_2D

          public static final void Geometry_SetPoint_2D​(long jarg1,
                                                        Geometry jarg1_,
                                                        int jarg2,
                                                        double jarg3,
                                                        double jarg4)

    - #### Geometry_SwapXY

          public static final void Geometry_SwapXY​(long jarg1,
                                                   Geometry jarg1_)

    - #### Geometry_GetGeometryRef

          public static final long Geometry_GetGeometryRef​(long jarg1,
                                                           Geometry jarg1_,
                                                           int jarg2)

    - #### Geometry_Simplify

          public static final long Geometry_Simplify​(long jarg1,
                                                     Geometry jarg1_,
                                                     double jarg2)

    - #### Geometry_SimplifyPreserveTopology

          public static final long Geometry_SimplifyPreserveTopology​(long jarg1,
                                                                     Geometry jarg1_,
                                                                     double jarg2)

    - #### Geometry_DelaunayTriangulation__SWIG_0

          public static final long Geometry_DelaunayTriangulation__SWIG_0​(long jarg1,
                                                                          Geometry jarg1_,
                                                                          double jarg2,
                                                                          int jarg3)

    - #### Geometry_DelaunayTriangulation__SWIG_1

          public static final long Geometry_DelaunayTriangulation__SWIG_1​(long jarg1,
                                                                          Geometry jarg1_,
                                                                          double jarg2)

    - #### Geometry_DelaunayTriangulation__SWIG_2

          public static final long Geometry_DelaunayTriangulation__SWIG_2​(long jarg1,
                                                                          Geometry jarg1_)

    - #### Geometry_Polygonize

          public static final long Geometry_Polygonize​(long jarg1,
                                                       Geometry jarg1_)

    - #### Geometry_Boundary

          public static final long Geometry_Boundary​(long jarg1,
                                                     Geometry jarg1_)

    - #### Geometry_GetBoundary

          public static final long Geometry_GetBoundary​(long jarg1,
                                                        Geometry jarg1_)

    - #### Geometry_ConvexHull

          public static final long Geometry_ConvexHull​(long jarg1,
                                                       Geometry jarg1_)

    - #### Geometry_MakeValid

          public static final long Geometry_MakeValid​(long jarg1,
                                                      Geometry jarg1_)

    - #### Geometry_RemoveLowerDimensionSubGeoms

          public static final long Geometry_RemoveLowerDimensionSubGeoms​(long jarg1,
                                                                         Geometry jarg1_)

    - #### Geometry_Buffer__SWIG_0

          public static final long Geometry_Buffer__SWIG_0​(long jarg1,
                                                           Geometry jarg1_,
                                                           double jarg2,
                                                           int jarg3)

    - #### Geometry_Buffer__SWIG_1

          public static final long Geometry_Buffer__SWIG_1​(long jarg1,
                                                           Geometry jarg1_,
                                                           double jarg2)

    - #### Geometry_Intersection

          public static final long Geometry_Intersection​(long jarg1,
                                                         Geometry jarg1_,
                                                         long jarg2,
                                                         Geometry jarg2_)

    - #### Geometry_Union

          public static final long Geometry_Union​(long jarg1,
                                                  Geometry jarg1_,
                                                  long jarg2,
                                                  Geometry jarg2_)

    - #### Geometry_UnionCascaded

          public static final long Geometry_UnionCascaded​(long jarg1,
                                                          Geometry jarg1_)

    - #### Geometry_Difference

          public static final long Geometry_Difference​(long jarg1,
                                                       Geometry jarg1_,
                                                       long jarg2,
                                                       Geometry jarg2_)

    - #### Geometry_SymDifference

          public static final long Geometry_SymDifference​(long jarg1,
                                                          Geometry jarg1_,
                                                          long jarg2,
                                                          Geometry jarg2_)

    - #### Geometry_SymmetricDifference

          public static final long Geometry_SymmetricDifference​(long jarg1,
                                                                Geometry jarg1_,
                                                                long jarg2,
                                                                Geometry jarg2_)

    - #### Geometry_Distance

          public static final double Geometry_Distance​(long jarg1,
                                                       Geometry jarg1_,
                                                       long jarg2,
                                                       Geometry jarg2_)

    - #### Geometry_Distance3D

          public static final double Geometry_Distance3D​(long jarg1,
                                                         Geometry jarg1_,
                                                         long jarg2,
                                                         Geometry jarg2_)

    - #### Geometry_Empty

          public static final void Geometry_Empty​(long jarg1,
                                                  Geometry jarg1_)

    - #### Geometry_IsEmpty

          public static final boolean Geometry_IsEmpty​(long jarg1,
                                                       Geometry jarg1_)

    - #### Geometry_IsValid

          public static final boolean Geometry_IsValid​(long jarg1,
                                                       Geometry jarg1_)

    - #### Geometry_IsSimple

          public static final boolean Geometry_IsSimple​(long jarg1,
                                                        Geometry jarg1_)

    - #### Geometry_IsRing

          public static final boolean Geometry_IsRing​(long jarg1,
                                                      Geometry jarg1_)

    - #### Geometry_Intersects

          public static final boolean Geometry_Intersects​(long jarg1,
                                                          Geometry jarg1_,
                                                          long jarg2,
                                                          Geometry jarg2_)

    - #### Geometry_Intersect

          public static final boolean Geometry_Intersect​(long jarg1,
                                                         Geometry jarg1_,
                                                         long jarg2,
                                                         Geometry jarg2_)

    - #### Geometry_Equals

          public static final boolean Geometry_Equals​(long jarg1,
                                                      Geometry jarg1_,
                                                      long jarg2,
                                                      Geometry jarg2_)

    - #### Geometry_Equal

          public static final boolean Geometry_Equal​(long jarg1,
                                                     Geometry jarg1_,
                                                     long jarg2,
                                                     Geometry jarg2_)

    - #### Geometry_Disjoint

          public static final boolean Geometry_Disjoint​(long jarg1,
                                                        Geometry jarg1_,
                                                        long jarg2,
                                                        Geometry jarg2_)

    - #### Geometry_Touches

          public static final boolean Geometry_Touches​(long jarg1,
                                                       Geometry jarg1_,
                                                       long jarg2,
                                                       Geometry jarg2_)

    - #### Geometry_Crosses

          public static final boolean Geometry_Crosses​(long jarg1,
                                                       Geometry jarg1_,
                                                       long jarg2,
                                                       Geometry jarg2_)

    - #### Geometry_Within

          public static final boolean Geometry_Within​(long jarg1,
                                                      Geometry jarg1_,
                                                      long jarg2,
                                                      Geometry jarg2_)

    - #### Geometry_Contains

          public static final boolean Geometry_Contains​(long jarg1,
                                                        Geometry jarg1_,
                                                        long jarg2,
                                                        Geometry jarg2_)

    - #### Geometry_Overlaps

          public static final boolean Geometry_Overlaps​(long jarg1,
                                                        Geometry jarg1_,
                                                        long jarg2,
                                                        Geometry jarg2_)

    - #### Geometry_TransformTo

          public static final int Geometry_TransformTo​(long jarg1,
                                                       Geometry jarg1_,
                                                       long jarg2,
                                                       SpatialReference jarg2_)

    - #### Geometry_Transform__SWIG_0

          public static final int Geometry_Transform__SWIG_0​(long jarg1,
                                                             Geometry jarg1_,
                                                             long jarg2,
                                                             CoordinateTransformation jarg2_)

    - #### Geometry_GetSpatialReference

          public static final long Geometry_GetSpatialReference​(long jarg1,
                                                                Geometry jarg1_)

    - #### Geometry_AssignSpatialReference

          public static final void Geometry_AssignSpatialReference​(long jarg1,
                                                                   Geometry jarg1_,
                                                                   long jarg2,
                                                                   SpatialReference jarg2_)

    - #### Geometry_CloseRings

          public static final void Geometry_CloseRings​(long jarg1,
                                                       Geometry jarg1_)

    - #### Geometry_FlattenTo2D

          public static final void Geometry_FlattenTo2D​(long jarg1,
                                                        Geometry jarg1_)

    - #### Geometry_Segmentize

          public static final void Geometry_Segmentize​(long jarg1,
                                                       Geometry jarg1_,
                                                       double jarg2)

    - #### Geometry_GetEnvelope

          public static final void Geometry_GetEnvelope​(long jarg1,
                                                        Geometry jarg1_,
                                                        double[] jarg2)

    - #### Geometry_GetEnvelope3D

          public static final void Geometry_GetEnvelope3D​(long jarg1,
                                                          Geometry jarg1_,
                                                          double[] jarg2)

    - #### Geometry_Centroid

          public static final long Geometry_Centroid​(long jarg1,
                                                     Geometry jarg1_)

    - #### Geometry_PointOnSurface

          public static final long Geometry_PointOnSurface​(long jarg1,
                                                           Geometry jarg1_)

    - #### Geometry_WkbSize

          public static final int Geometry_WkbSize​(long jarg1,
                                                   Geometry jarg1_)

    - #### Geometry_GetCoordinateDimension

          public static final int Geometry_GetCoordinateDimension​(long jarg1,
                                                                  Geometry jarg1_)

    - #### Geometry_CoordinateDimension

          public static final int Geometry_CoordinateDimension​(long jarg1,
                                                               Geometry jarg1_)

    - #### Geometry_Is3D

          public static final int Geometry_Is3D​(long jarg1,
                                                Geometry jarg1_)

    - #### Geometry_IsMeasured

          public static final int Geometry_IsMeasured​(long jarg1,
                                                      Geometry jarg1_)

    - #### Geometry_SetCoordinateDimension

          public static final void Geometry_SetCoordinateDimension​(long jarg1,
                                                                   Geometry jarg1_,
                                                                   int jarg2)

    - #### Geometry_Set3D

          public static final void Geometry_Set3D​(long jarg1,
                                                  Geometry jarg1_,
                                                  int jarg2)

    - #### Geometry_SetMeasured

          public static final void Geometry_SetMeasured​(long jarg1,
                                                        Geometry jarg1_,
                                                        int jarg2)

    - #### Geometry_GetDimension

          public static final int Geometry_GetDimension​(long jarg1,
                                                        Geometry jarg1_)

    - #### Geometry_HasCurveGeometry__SWIG_0

          public static final int Geometry_HasCurveGeometry__SWIG_0​(long jarg1,
                                                                    Geometry jarg1_,
                                                                    int jarg2)

    - #### Geometry_HasCurveGeometry__SWIG_1

          public static final int Geometry_HasCurveGeometry__SWIG_1​(long jarg1,
                                                                    Geometry jarg1_)

    - #### Geometry_GetLinearGeometry__SWIG_0

          public static final long Geometry_GetLinearGeometry__SWIG_0​(long jarg1,
                                                                      Geometry jarg1_,
                                                                      double jarg2,
                                                                      java.util.Vector jarg3)

    - #### Geometry_GetLinearGeometry__SWIG_1

          public static final long Geometry_GetLinearGeometry__SWIG_1​(long jarg1,
                                                                      Geometry jarg1_,
                                                                      double jarg2)

    - #### Geometry_GetLinearGeometry__SWIG_2

          public static final long Geometry_GetLinearGeometry__SWIG_2​(long jarg1,
                                                                      Geometry jarg1_)

    - #### Geometry_GetCurveGeometry__SWIG_0

          public static final long Geometry_GetCurveGeometry__SWIG_0​(long jarg1,
                                                                     Geometry jarg1_,
                                                                     java.util.Vector jarg2)

    - #### Geometry_GetCurveGeometry__SWIG_1

          public static final long Geometry_GetCurveGeometry__SWIG_1​(long jarg1,
                                                                     Geometry jarg1_)

    - #### Geometry_Value

          public static final long Geometry_Value​(long jarg1,
                                                  Geometry jarg1_,
                                                  double jarg2)

    - #### Geometry_Transform__SWIG_1

          public static final long Geometry_Transform__SWIG_1​(long jarg1,
                                                              Geometry jarg1_,
                                                              long jarg2,
                                                              GeomTransformer jarg2_)

    - #### new_Geometry__SWIG_0

          public static final long new_Geometry__SWIG_0​(int jarg1,
                                                        java.lang.String jarg2,
                                                        byte[] jarg3,
                                                        java.lang.String jarg5)

    - #### new_Geometry__SWIG_1

          public static final long new_Geometry__SWIG_1​(int jarg1)

    - #### Geometry_ExportToWkt__SWIG_1

          public static final java.lang.String Geometry_ExportToWkt__SWIG_1​(long jarg1,
                                                                            Geometry jarg1_)

    - #### new_GeomTransformer__SWIG_0

          public static final long new_GeomTransformer__SWIG_0​(long jarg1,
                                                               CoordinateTransformation jarg1_,
                                                               java.util.Vector jarg2)

    - #### new_GeomTransformer__SWIG_1

          public static final long new_GeomTransformer__SWIG_1​(long jarg1,
                                                               CoordinateTransformation jarg1_)

    - #### delete_GeomTransformer

          public static final void delete_GeomTransformer​(long jarg1)

    - #### GeomTransformer_Transform

          public static final long GeomTransformer_Transform​(long jarg1,
                                                             GeomTransformer jarg1_,
                                                             long jarg2,
                                                             Geometry jarg2_)

    - #### GetDriverCount

          public static final int GetDriverCount​()

    - #### GetOpenDSCount

          public static final int GetOpenDSCount​()

    - #### SetGenerate_DB2_V72_BYTE_ORDER

          public static final int SetGenerate_DB2_V72_BYTE_ORDER​(int jarg1)

    - #### RegisterAll

          public static final void RegisterAll​()

    - #### GeometryTypeToName

          public static final java.lang.String GeometryTypeToName​(int jarg1)

    - #### GetFieldTypeName

          public static final java.lang.String GetFieldTypeName​(int jarg1)

    - #### GetFieldSubTypeName

          public static final java.lang.String GetFieldSubTypeName​(int jarg1)

    - #### GT_Flatten

          public static final int GT_Flatten​(int jarg1)

    - #### GT_SetZ

          public static final int GT_SetZ​(int jarg1)

    - #### GT_SetM

          public static final int GT_SetM​(int jarg1)

    - #### GT_SetModifier__SWIG_0

          public static final int GT_SetModifier__SWIG_0​(int jarg1,
                                                         int jarg2,
                                                         int jarg3)

    - #### GT_SetModifier__SWIG_1

          public static final int GT_SetModifier__SWIG_1​(int jarg1,
                                                         int jarg2)

    - #### GT_HasZ

          public static final int GT_HasZ​(int jarg1)

    - #### GT_HasM

          public static final int GT_HasM​(int jarg1)

    - #### GT_IsSubClassOf

          public static final int GT_IsSubClassOf​(int jarg1,
                                                  int jarg2)

    - #### GT_IsCurve

          public static final int GT_IsCurve​(int jarg1)

    - #### GT_IsSurface

          public static final int GT_IsSurface​(int jarg1)

    - #### GT_IsNonLinear

          public static final int GT_IsNonLinear​(int jarg1)

    - #### GT_GetCollection

          public static final int GT_GetCollection​(int jarg1)

    - #### GT_GetCurve

          public static final int GT_GetCurve​(int jarg1)

    - #### GT_GetLinear

          public static final int GT_GetLinear​(int jarg1)

    - #### SetNonLinearGeometriesEnabledFlag

          public static final void SetNonLinearGeometriesEnabledFlag​(int jarg1)

    - #### GetNonLinearGeometriesEnabledFlag

          public static final int GetNonLinearGeometriesEnabledFlag​()

    - #### GetOpenDS

          public static final long GetOpenDS​(int jarg1)

    - #### Open__SWIG_0

          public static final long Open__SWIG_0​(java.lang.String jarg1,
                                                int jarg2)

    - #### Open__SWIG_1

          public static final long Open__SWIG_1​(java.lang.String jarg1)

    - #### OpenShared__SWIG_0

          public static final long OpenShared__SWIG_0​(java.lang.String jarg1,
                                                      int jarg2)

    - #### OpenShared__SWIG_1

          public static final long OpenShared__SWIG_1​(java.lang.String jarg1)

    - #### GetDriverByName

          public static final long GetDriverByName​(java.lang.String jarg1)

    - #### GetDriver

          public static final long GetDriver​(int jarg1)

    - #### GeneralCmdLineProcessor__SWIG_0

          public static final java.util.Vector GeneralCmdLineProcessor__SWIG_0​(java.util.Vector jarg1,
                                                                               int jarg2)

    - #### GeneralCmdLineProcessor__SWIG_1

          public static final java.util.Vector GeneralCmdLineProcessor__SWIG_1​(java.util.Vector jarg1)

    - #### TermProgressCallback_SWIGUpcast

          public static final long TermProgressCallback_SWIGUpcast​(long jarg1)

    - #### Driver_SWIGUpcast

          public static final long Driver_SWIGUpcast​(long jarg1)

    - #### DataSource_SWIGUpcast

          public static final long DataSource_SWIGUpcast​(long jarg1)

    - #### Layer_SWIGUpcast

          public static final long Layer_SWIGUpcast​(long jarg1)